MailEnable

Welcome to MailEnable Help

MailEnable is a general purpose Mail Server designed for Microsoft Windows Server Operating Systems.

This help file provides assistance on administraton functions, conceptual architecture, troubleshooting and general information.

These are outlined under the following respective headings:
  • How To...
  • Concepts
  • Troubleshooting and Additional Resources
  • About MailEnable...


About MailEnable

MailEnable's mail server software provides a powerful, scalable hosted messaging platform for Microsoft Windows. MailEnable offers stability, unsurpassed flexibility and an extensive feature set which allows you to provide cost-effective mail services.

Our contact details are below:

Sales: sales@mailenable.com
Support: available via our support ticket system
Knowledge Base: http://www.mailenable.com/kb
Web site: http://www.mailenable.com


How To...

  • Install, reinstall, and uninstall MailEnable
  • Administer MailEnable
  • Configure Mail Clients
  • Configure DNS
  • License MailEnable
  • Troubleshoot MailEnable


Install, reinstall, and uninstall MailEnable

  • Install software
  • Run unattended setup
  • Reinstall or uninstall software


Hardware and software requirements

Pre-requisite hardware

MailEnable will run on virtually any computer capable of running Windows NT, 2000/2003 or .NET Operating Systems. Note: While the MailEnable product suite can be installed and has been tested on XP and workstation environments the company does not support these platforms.

Pre-requisite software

For Windows NT 4:

- Service Pack 6a - IIS/Windows NT Option Pack 4 (Please refer to note below)
- Microsoft Transaction Server, IIS
- For Windows 2000/2003:
- IIS (Please refer to note below) versions

Note: In order to install either the Web Administration or Web Mail components of MailEnable, Microsoft Internet Information Server (IIS) will need to be installed. If you do not intend to use these components, then IIS is not a requirement.

If using NT4, ensure IIS is installed from the Windows NT Option Pack.

If installing MailEnable on Windows 2000/2003, IIS is included with the default package. MailEnable web mail and web administration use the Microsoft .Net Framework version 1.1. While the option to install the ASP version is available, it does not include a spell checker, multiple languages or light weight HTML editor.


Install software

The MailEnable installation guide can be found here: MailEnable Quick Start Guide (requires a PDF viewer)


Reinstall or uninstall software

MailEnable can be installed over an existing installation. It will not delete any emails currently on the system. The install kit will ask you if you wish to overwrite the existing configuration. If you overwrite the existing configuration, the email messages will not be deleted, just the configuration data that allows these to be accessed. If you do this, and create a post office which already exists, you will be able to access the email.

When uninstalling MailEnable, emails that are currently on your computer are not removed. You can delete these manually by removing the MailEnable directory.


Run unattended setup

To run unattended setup

In order to install MailEnable unattended, use the /s command line option when running the installation program. This will install MailEnable with the default settings. After installation, the registry settings will need to be altered to specify the local domain name. This can be changed either through the registry or via the administration program.


Control panel integration

MailEnable is integrated with the products of the following companies:

CWIPanel
23403 E. Mission Ave Suite A7
Liberty Lake, WA 99019
USA
Phone:
1-888-632-5644 - Extension 4
1-509-893-9324
Email: sales@cwipanel.com
Web: www.cwipanel.com

DotNetPanel
Office 4, 59-60 Russell Square,
London, United Kingdom
Email: info@dotnetpanel.com
Web: www.dotnetpanel.com

Ensim
Download integration files for Ensim
1366 Borregas Avenue
Sunnyvale,CA
USA
Phone: 1-408-745-3300
Fax: 1-408-745-3399
Web: www.ensim.com
Download integration files for Ensim

Helm
Installation instructions
Kings House 14 Orchard Street
Bristol
United Kingdom
Email: sales@webhostautomation.com
Web: www.webhostautomation.com

Hostflow (Starflow)
France
Phone: +33 (0)4 92 94 10 00
Fax: +33 (0) 4 92 94 10 01
Email:info@starflow.com
Web: www.hostflow.com

Hosting Accelerator
USA
Phone: +1-404-806-0324
Fax: +1-404-745-0020
Email: sales@hostingaccelerator.com
Web: www.hostingaccelerator.com

Hosting Controller
Advanced Communications
8721 Santa Monica Boulevard, # 252
Los Angeles CA
USA
Email:sales@hostingcontroller.com
Web: www.hostingcontroller.com

Plesk (SW-Soft)
Suite 325 / 13755 Sunrise Valley Drive
Herndon VA
USA
Phone: +1 (703) 815-5670
Fax: +1 (703) 815-5675
EMail: info@sw-soft.com
Web:www.sw-soft.com


Administer MailEnable

  • Monitoring Services
  • Configuring MailEnable
  • Messaging Manager
  • Post office actions
  • Post office properties
  • Server configuration
  • Message filtering
  • Management services
  • Security and authentication
  • Protecting against spam
  • Configuring host headers
  • Backing up and restoring


MailEnable Services

MailEnable runs the following services. Click on an item to view more details.
  • Starting and Stopping Services
  • HTTPMail
  • IMAP Service
  • List Service
  • MTA Service
  • Post Office Connector
  • POP3 Service
  • POP Retrieval Service
  • SMTP Service
  • Web administration
  • Web mail


Starting and stopping services

In order to start and stop a MailEnable service, expand the Servers > localhost > Monitoring item in the console tree.

Select Services and you will see all the services that are currently running on the local machine. Any errors with the services will be displayed. In order to start and stop a service, right click on the item, and a popup menu will allow you to do this. You are also able to stop and start all the MailEnable services on the computer at once through this menu.


HTTPMail

HTTPMail (Professional and Enterprise Editions only)

HTTP is the protocol that handles web traffic. It defines how web pages are formatted and the way they are delivered over the Internet. It also includes any information about the objects that are needed by proxy servers or a user's web browser. HTTPMail is a relatively new protocol for the server hosted messaging services. HTTPMail provides an alternative to using POP and SMTP, with the added benefit of allowing messages to be hosted on the server (rather than downloaded onto the client). Further to this, using HTTPMail, messages can be moved between the server and local stores as required.

HTTPMail utilizes WebDAV HTTP Extensions to provide remote access to server hosted mail folders using standard HTTP communication. This service allows mail messages to be hosted on the server and provides tight integration with Outlook 2002 (and later) and Outlook Express, although subfolders are not supported in HTTPMail. Unlike IMAP, it does not require SMTP to send messages. HTTPMail posts messages into the post office where they are either locally delivered or dispatched through the SMTP Connector.

Click here for details about how to configure HTTPMail.


IMAP Service

IMAP Service (Professional and Enterprise Editions only)

IMAP4 is a mail protocol that allows users to be disconnected from the main messaging system and still be able to process mail. Users can store messages on a local machine or on a server.

IMAP has distinct advantages over POP because it allows you manage multiple folders on the server. Mail can be accessed from different machines, as the mail is hosted on the server (unlike POP which deletes mail from the server after being accessed) and allows the user to just download message headers and envelope information, until the user selects the email to download. This is useful when operating over slow speed dial-up connections.

IMAP4 can break up and download specific parts of a multi-part email message (MIME). This means that instead of having to wait for an email with attachments to download, you can select only the text portion to download, and leave the attachments on the server.

IMAP4 allows you to have server hosted folders and subfolders.

Click here for details about how to configure the IMAP service.


List connector

The List connector handles lists. Lists are a group of email addresses that people can post to. In order to subscribe to a list, the user needs to send an email with the word "susbcribe" as the subject. In order to be removed from the list, the user needs to send another email with the word "unsubscribe" as the subject.

Click here for details on list connector options.

Click here for details on how to create a list.


MTA Service

The MTA Service is responsible for the routing of email and and out of MailEnable. When an email is accepted by the SMTP or POP retrieval service, the MTA service determines which connector is used to handle the email. For instance, if the email is destined for a mailbox, the MTA service will send the email to the Postoffice Connector in order for it to deliver the mail to the correct mailbox. If the email is destined for a list, the the MTA service will send the email to the List service.

Click here for details about how to configure the MTA service.


Postoffice connector

The Postoffice connector determines which mailbox a email message is to be delivered to and will route the email accordingly.

Click here for details about how to configure the Post Office connector.


POP3 connector

Post Office Protocol. This is a mail protocol that enables emails to be retrieved from a remote mailbox. That is, it allows you to collect emails from an hosted account that you have hosted on a server to your own email software, such as Outlook, Eudora etc.

Click here for details about how to configure the POP3 service.


POP Retrieval Service

POP Retrieval Service (Professional and Enterprise Editions only)

The POP Retrieval Service will download mail via POP and deliver to a local mailbox.

Click here for details about how to configure the POP Retrieval service.


SMTP connector

The SMTP Connector handles all the inbound and outbound email. It connects to the remote mail servers and allows remote mail servers to connect to it to send email.

Click here for details about how to configure the SMTP service.


Web administration

Web administration (Professional and Enterprise Editions only)

'Admin' users can manage users/mailboxes, lists, groups, and domains. If multiple post offices are being hosted (e.g. one per customer or company), each company can manage their own configuration.

Web adminstration interface

Click here for details about how to configure the web administration service.


Web mail

Web mail (Professional and Enterprise Editions only)

Web mail is a mail application that allows clients to send and receive email via the Internet. Once installed, web mail can be accessed from http://HostName/mewebmail - in place of the HostName in this example, use the server name as defined in DNS or under IIS. The IP address of the machine can also be used. When browsing to this location, a logon screen will be presented. Users should use the same username and password that the POP service uses. Remember that the username is formatted as: mailboxname@postofficename -if a default post office has been set using the administration program, there is no need to use the @postofficename after the mailbox name.

Professional Edition web mail

Click here for details about how to configure the web mail service.

Click here for the Web mail user manual (PDF).


Configuring MailEnable

  • HTTPMail options
  • IMAP options
  • List connector options
  • MTA options
  • Post office connector options
  • POP3 options
  • POP Retrieval options
  • SMTP options
  • Web administration options
  • Web mail options


HTTPMail options

HTTPMail options (Professional and Enterprise Editions only)

HTTPMail requires very few configuration settings. The major configuration settings are the IP address(es) and port bindings for the HTTPMail Service. If the option to install HTTPMail is selected, the service is published on port 8080 of the server (it is possible to change this setting to an alternate port, but 8080 is the default so that the service does not conflict with any existing web services that may be running). Features of HTTPMail can be enabled or disabled via the administration program.

If using Outlook Express or Outlook 2002 as a mail client, select the mail protocol as HTTP and enter in the following details:

- My incoming Mail Server is a HTTP server

- My HTTP mail service provider is: Other

- Incoming mail (POP3, IMAP or HTTP) server: http:// Your Server: 8080/MEHTTPMail

Since HTTPMail is an authenticated service, use the usual account credentials when prompted (i.e.: User@ Your Account/Postoffice).

HTTPMail Port
The HTTPMail service will listen for connections on this port.

Session timeout
Determines how long a connection will remain active for.

Enable public folders for post offices
Public Folders allow one or more mailboxes under the post office to share data (messages in a folder that is seen by all mailboxes in the post office.)Anything placed in this folder (Program Files\MailEnable\Post Offices\[Post Office Name]\Pubroot) will become visible to all other mailboxes in the post office. This feature must be enabled for the post office in Post Office Properties.

IP addresses to bind HTTPMail to
It is possible to select the IP addresses that the HTTPMail service will be bound to. On a multi-homed machine you may only wish to allow connections on particular IP addresses. ‘Always bind all IPs’ will allow connections on all IP addresses that are configured for the machine.

Click here for a more detailed explanation of configuring HTTPMail for mail clients.


IMAP options

IMAP options (Professional and Enterprise Editions only)

IMAP port

Port for listening on. Default is 143.

IMAP Enable SSL (Default Port) (Enterprise Edition only)

This will enable SSL certificate encryption for the default port that IMAP is running on. Place a tick in this box to enable the service. This also has to be enabled at a server level under >Server>Localhost Properties>SSL tab.

Also listen on alternate port

An alternate port can be selected.

IMAP Enable SSL (Alternate Port) (Enterprise Edition only)

This will enable SSL certificate encryption for the alternate port that IMAP is running on. The default port number is 993. Place a tick in this box to enable. The service also has to be enabled at a server level under > Server > Localhost Properties >SSL tab.

Client Connections

Select either an unlimited number of client connections, or specify a maximum number of concurrent connections. Specifying a maximum number of connections may reduce server load by limiting the threads that IMAP can use.

Enable public folders (Enterprise Edition only)

Public folders allow one or more mailboxes under the post office to share data (messages in a folder that is seen by all mailboxes in the post office). Anything placed in this folder (Program Files\MailEnable\Post Offices\[Post Office Name]\Pubroot) will become visible to all other mailboxes in the post office. This feature must be enabled for the post office in Post Office Properties.

Enable NTLM authentication

If enabled, then secure authentication between the server and the supported client is enabled. This will allow the server to accept requests from the client to use secure transmissions for the authentication method. The client also has to be enabled use this secure authentication. For example, in Outlook the feature is called SPA – Secure Password Authentication.

Enable CRAM-MD5 authentication

CRAM-MD5 Challenge-Response Authentication Mechanism is intended to provide an authentication extension to IMAP4 that neither transfers passwords in clear text nor requires significant security infrastructure in order to function. Only a hash value of the shared password is ever sent over the network, thus precluding plaintext transmission.

Timeout for idle connections

If this setting is enabled and a client connection has been idle or not passed any commands to the server for the set period of time, the connection will be dropped by the server.

IP Addresses to bind to

It is possible to select the IP addresses that the POP service will be bound to. On a multi-homed machine it may be desirable to only allow connections on particular IP addresses. ‘Always bind all IPs’ will allow connections on all IP addresses that are configured for the machine.


List server connector options

Generate posting failure notifications
If a message is sent to a list and is rejected due to sender being rejected or incorrect password the subsequent notification is not sent. This can help reduce traffic where spammers have sent to the address and used a forged email address.

Advanced Logging
This setting allows the logging of list activity and any problems that may arise. To improve speed and to not create logs disable the activity and debug logs. For more information on creating lists, click here.


MTA options

Inbound mail max. delivery time
The amount of time a message sits in incoming directory before being reset.

Maximum threads
The number of concurrent threads that will be used to move emails around. Some command line virus checkers do not function correctly with multiple instances running, so the MTA can be restricted to using one thread to resolve this.

Enable pickup event
When an email arrives, you are able to execute a program, and MailEnable will pass the mail message filename to the application. For example, if you write a VB script the adds some text to the end of each email that gets delivered, you would enable the pickup event. The command line used to execute the application is:

program messagefilename connectortype

Where program is the program filename, messagefilename is the name of the message file and connectortype is the type of messages (i.e. SMTP, LS, SF). Be aware that the directory path to the message is not passed to the program. You will need to read the directory path from the registry in the program file.

Logging Options
Produces a debug and activity log for the POP3 service. Use this if you need to get more details about what the service is doing (i.e. if you are debugging a problem).


Post office connector options

The post office connector performs the delivery of emails to mailboxes. It is responsible for executing mailbox filters, delivery events, auto responders and quota handling.

The options are explained below:

When mailbox has reached quota
Specify what occurs when a mailbox’s quota is exceeded. Determine whether the user is notified of the quota issue and whether the message is returned to the sender, or, sent to the postmaster for that post office.

Notifications when quota is reached
Configure what notifications are sent when a quota is reached, such options such as, notify Sender only, notify sender and mailbox and send no notifications.

Quota enumeration
When a mailbox is at its quota, it can be calculated in two different ways.1. Only Inbox folder counts towards quota 2. All users mail folders counts towards quota (Example: Sent Items, Drafts, Inbox)

Auto responders enabled
When this setting is enabled there are two selections;
1. The default setting to 'Always respond to the sender'
2. Send one response per sender per day can help reduce the problem of spammers generating unnecessary mail.

Also if a sender needs to send to a MailEnable mailbox that has an auto responder configured, then they will not receive more than one auto-responder per day. If the check box is cleared then the auto responder feature is disabled. This can aid in the diagnosis of mail loops or any possible auto responder issues.

NDR Generation
Non Delivery Receipts can be configured. Options such as not sending NDRs or allowing the SMTP service to handle and send all default Non Delivery Receipts.

Redirection handling
Redirection handling has the following settings:
1. Normal redirection - will redirect emails. Redirected emails have the envelope sender of the original message preserved.
2. Remail from mailbox address - will redirect and send using the default email address for the mailbox. If a default address has not been set, the first address found for the mailbox will be used. This option will help prevent rejections from remote servers who are using SPF checking.
3. 'Disable all redirections' will prevent any redirections configured for a mailbox from working.

Logging

Logging
Enables the activity and debug logs for the post office connector.


POP3 options

General

Maximum concurrent connections
The thread setting limit for incoming POP connections at one time.

Alternate @ characters
Some older mail clients don't allow the use of @ in the username section. Since the MailEnable usernames are formatted in mailboxname@postoffice format, this may cause problems. To solve this, MailEnable can specify the characters that can be used as a substitute. Just enter the list of characters such as #$%. This will allow users to log on using mailboxname@postoffice, mailboxname#postoffice, mailboxname$postoffice and mailboxname%postoffice.

POP Port
The port MailEnable will allow client POP connections on. The default is 110.

POP Enable SSL (Default Port) (Enterprise Edition only)
Enables SSL encryption for the default port that POP is running on. When enabling SSL make sure a valid SSL certificate has been selected in the MailEnable Administration > Server >Localhost Properties >SSL tab

Also listen on alternate port
Allows the POP service to listen on an alternate port. Usually this is done to cater for clients who may be on connections where their outbound port 110 has been blocked.

POP Enable SSL (Alternate Port) (Enterprise Edition only)
Enables SSL certificate encryption for the alternate port that POP is running on. The default port number is 995. When enabling SSL make sure that a valid SSL certificate has been selected in the MailEnable Administration >Server>Localhost Properties>SSL tab.

Enable APOP authentication
Usually, the users’ username and password are sent in clear text format (i.e. not encrypted). Enabling this option will force clients to enable APOP authentication on their mail client software. Make sure users are using software that supports APOP, otherwise they will not be able to receive email. Some older mail clients do not support APOP.

Enable NTLM authentication (Professional and Enterprise Editions only)
If this feature is enabled then secure authentication between the server and the supported client is enabled. This will allow the server to accept requests from the client to use secure transmissions for the authentication method. The client also has to be enabled to use this secure authentication. For example, in Outlook the feature is called SPA 'Secure Password Authentication'. Click here for more information on NTLM authentication

Enable CRAM-MD5 authentication (Professional and Enterprise Editions only)
CRAM-MD5 Challenge-Response Authentication Mechanism is intended to provide an authentication extension that neither transfers passwords in clear text nor requires significant security infrastructure in order to function. Only a hash value of the shared password is ever sent over the network, thus precluding plaintext transmission.

Timeout for idle connections
If this setting is enabled, and a client connection has been idle or not passed any commands to the server for a set period of time, the connection will be dropped by the server. Timeout setting is in seconds.

Access Control
The Access Control feature can specify who can connect to the POP service. A list of IP addresses that are either banned from connecting, or are the only ones allowed to connect by selecting the Access Control button can be specified.

IP Addresses to bind POP to
It is possible to select the IP addresses that the POP service will be bound to. On a multi-homed machine you may only wish to allow connections on particular IP addresses. ‘Always bind all IPs’ will allow connections on all IP addresses that are configured for the machine.

Advanced

Use alternate welcome message
This is the welcome message which is displayed to email clients connecting to the service.

Inactivity timeout
Set the inactivity timeout for the POP service. If a connection is inactive for longer than the timeout period (in seconds) then the connection will be closed.

Allow concurrent mailbox access
By default POP servers only allow one connection a mailbox this will change this for MailEnable.

Logging

Enable Logging
Enables W3C logging for the POP service. W3C Logging can specify which fields are logged and the rollover frequency. The directory can also be specified.

Logging Options
Produces a debug and activity log for the POP3 service. Use this to obtain more details about the service.


POP Retrieval options

POP Retrieval options (Professional and Enterprise Editions only)

The POP Retrieval connector can retrieve email from remote POP sites and deliver to local mailboxes.

Administrators are able to configure this through the administration program, and if enabled for web mail, users can configure it for their own mailboxes.

Using the Administration program, access the POP Retrieval Connector properties by expanding the Servers > Localhost > Connectors branch.

Right click on the POP Retrieval icon and select Properties. The options are explained below:

Poll Interval
This is the delay between when the service will poll for new mail.

Maximum Threads Count
This is the amount of threads that will be used to retrieve email from the remote servers.

Days to keep history
In order to stop downloading the same email every time a poll is performed, MailEnable keeps a history of the messages downloaded from each server. In order to conserve resources, it is possible to specify how many days to keep this history of messages.

Add received header to retrieved emails
Emails retrieved via the POP Retrieval connector will be ordered in email clients at the time that they arrive in MailEnable. To avoid this, disabling this option will order them in the time that the arrived at the remote mail server.

Enable Logging
Enables logging for the service.

Advanced Logging
This is the configuration and the enabling of each log namely the activity, debug and W3C.


SMTP options

  • General
  • Inbound
  • Outgoing
  • Relay
  • Advanced
  • Delivery
  • Smart host
  • Logging
  • Blocked addresses
  • White list
  • SPF
  • Reverse DNS Blacklisting
  • Security


SMTP general options

Local Domain Name
The domain name of the server that MailEnable is installed on, or the default domain for the configuration. It is used for system messages, to announce the server when it connects to remote server, and when remote servers connect to MailEnable if the host name has not been specified.

Default mail domain name
The default mail domain name for the server, which usually matches the default MX record. For example, if you have configured mail.example.com in your DNS to point to your mail server, then you would enter this here. If a host name has been specified for an IP address on the server, then that value will override this host name.

DNS Address
The DNS that the local machine uses. If using more than one DNS, separate the addresses with a space character. If the SMTP service fails to connect to the first DNS, it will try the second or subsequent DNS. Use the DNS that is configured for the local network. Remember that this is not necessarily the DNS of where the domain name is registered.

Specify the email address when sending notifications
The address from which notifications are sent. When MailEnable sends out email such as message delivery delays, or delivery failures, it will use this address as the "from" email address. Usually this would be postmaster@example.com (substitute your domain here). Make sure this is a valid email address.

Enable NTLM Authentication (Professional and Enterprise Editions only)
If this feature is enabled then secure authentication between the server and the supported client is enabled. This will allow the server to accept requests from the client to use secure transmissions for the authentication method. The client also has to be enabled to use this secure authentication. For example, in Outlook the feature is called SPA 'Secure Password Authentication'.

Enable CRAM MD5 Authentication (Professional and Enterprise Editions only)
CRAM-MD5 Challenge-Response Authentication Mechanism is intended to provide an authentication extension that neither transfers passwords in clear text nor requires significant security infrastructure in order to function. Only a hash value of the shared password is ever sent over the network, thus precluding plaintext transmission.


SMTP inbound options

SMTP service listens on port
Determines the port the SMTP service is running on. The default is 25. Inbound SMTP connections from remote servers expect the mail server to be listening on port 25, but some proxy or gateway software may require this to be changed.

SMTP Enable SSL (Default Port) (Enterprise Edition only)
Enables SSL certificate encryption for the default port that SMTP is running on. Place a tick in this box to enable. The service also has to be enabled at a server level in the MailEnable Administration Program > Server >Localhost Properties > SSL tab.

Also listen on alternate port
The SMTP service can also listen on an alternate port by enabling this option. Usually this is done to cater for clients who may be on connections where their outgoing port 25 has been blocked.

SMTP Enable SSL (Alternate Port) (Enterprise Edition only)
Enables SSL certificate encryption for the alternate port that SMTP is running on. The default port for this is 465. When enabling SSL make sure that a valid SSL certificate has been selected in the MailEnable Administration >Server > Localhost Properties >SSL tab.

Maximum number of concurrent connections
The number of connections that will be available for remote servers and email clients to connect to.

Advertised Maximum message size
Entering a value here will inform remote mail servers and email clients of the maximum size of an email that should be sent to the server. The size is represented in kilobytes. Clients or remote mail servers may ignore the value. A size of 0 means that there is no limit on message size.

Enforce this message size
Will check each inbound message size after it is received and if it is over the limit it will be deleted and an error returned to the remote server or email client that is trying to send.

Access Control
The Access Control feature specifies who can connect to the email server. It is possible to specify a list of IP addresses that are either banned from connecting, or are the only ones allowed to connect. Use the * character as a wildcard.

Inbound IP Bindings
Select the IP addresses that the SMTP service will be bound to. On a multi-homed machine it may desirable to only listen to connections on particular IP addresses. ‘Always bind the service to all available IP addresses’ will allow connections on all IP addresses that are configured for the machine.


SMTP outgoing options

Maximum number of send threads
The number of threads that are used to send email.

Timeout for Remote Mail Servers
How long the SMTP service will wait for a response from a remote mail server before disconnecting.

Outgoing queue poll interval
How often the SMTP service polls the outgoing queue directory for mail messages to send. This is measured in seconds.

Limit outbound message size
Forces MailEnable to check the size of each message before delivering to a remote mail server. If the message cannot be delivered it will be returned to the sender (or sent to the bad mail directory if the message is system generated).

Outbound IP Binding
Forces the SMTP to use a specific IP address on the server when it is trying to deliver email.


SMTP relay options

Mail servers accept messages for recipients that have their mailboxes hosted on the mail server itself. Any attempt to send a message to a non-local recipient (i.e. a recipient on a different mail server) is called a ‘relay’. It is critical to regulate who can send messages to others (non-local recipients) or the server will be identified as an Open Relay. This means that people on the Internet can send email out through the server without authenticating. Secure the server by configuring strict rules as to who can relay messages to non-local recipients.

For a server on the Internet, the best relay setting to have is to only have Allow relay for authenticated senders checked, and leave Allow relay for local sender addresses unchecked. This will make everyone who wants to send email out via the server provide a username and password.

To access the SMTP Relay options, open the Administration program, expand the Servers >Localhost >Connectors branch, right click on the SMTP icon, select Properties from the popup menu, and click the Relay tab.

The following provides an explanation of the various relay settings.

Enable Mail Relay
Mail relaying needs to be enabled in order to send mail. Otherwise MailEnable will only be able to receive email. There are four options available to limit who can send mail out through the server. It is possible to select any combination of the four, however, a client only has to match one of the items in order to relay through the mail server.

Allow relay for authenticated senders
Requires that people sending mail through the server enter a username and password (i.e. this option enables SMTP authentication). To set this is different for various mail clients, but in Microsoft Outlook Express and Microsoft Outlook for instance, this is done in account properties via the "My server requires authentication" checkbox under the "Servers" tab. It is advisable to have this option enabled if the server is not using privileged IP ranges. Also, ensure that Secure Password Authentication (SPA) is not enabled.

Authentication method
Select the authentication method for authenticated senders.

MailEnable/integrated authentication: uses the MailEnable username/password

Windows authentication: uses the Windows username/password valid for that machine

Authenticate against the following username/password: specify your own username and password.

Allow relay for privileged IP ranges
Allows people with certain IP addresses to send email through the server. If the IP addresses of persons who are able to send email out through the server is known, use this option. DO NOT select this option if the list of IP addresses is unknown, as this may inadvertently allow everyone access. This option is usually required to allow sending through the server from a web server or web page.

Allow relay for local sender addresses
Allows people to send mail if their ‘From’ address has a domain that is hosted on MailEnable. For instance, if you host example.com, and someone sends a message from your server that has their ‘From’ address as peter@example.com, the email will be sent. Unfortunately, spammers may still abuse this by spoofing ‘from’ addresses, so most servers will not use this option. Using this option may cause some anti-spam blacklists to consider the server as “open relay” and block email from the server.

POP before SMTP authentication
The IP address of users who authenticate via POP is remembered and permitted to relay. The time period to remember the IP address for can be set. Some client applications will try to send email before retrieving (e.g.: Microsoft Outlook), so they will generate an error message on the first send try. Subsequent send attempts will then work if they are before the specified time. This is required due to some ISPs and certain routers not allowing SMTP authentication. This feature will bypass this issue by authenticating a client using POP. If this authenticates then the SMTP service will allow this IP access for a designated period of time. To remember the IP address, a file is written to the Mail Enable\Config\Connections directory. The file name is the IP address and the file extension is .pbs.


SMTP advanced options

Advanced SMTP options

Enable alternate catch-all header
When mail is sent to an invalid recipient and they are specified as a BCC on the message, it is difficult for the mail administrator to know who should have received the message. The Catch-All header allows you to specify the name of the message header field that is used to record any recipients that were delivered to the Catch-All account. By default, MailEnable records this information into the Received By: message header; hence this setting is supplied to provide more control over how the information is recorded within the message. Only one copy of a message with multiple recipients is delivered to the catchall mailbox.

Add required headers for authenticated senders if needed
Some email clients or applications will not add a Message-ID or Date header line to their emails. Some mail servers require these items and will reject the email if they do not exist. By enabling this option, MailEnable will add the required lines (if they do not exist) to all users who are authenticated to relay through MailEnable.

Allowed SMTP Commands
The list of SMTP commands that can be disabled are shown here. For example, it is possible to disable the EXPN, which displays all the emails of users in a group.


SMTP delivery options

First Retry
The delay before a message is retried for the first time. The default is 15 minutes.

Second Retry
The delay before a message is retried for the second time. The default is 30 minutes.

Third Retry
The delay before a message is retried for the third time. The default is 60 minutes.

Subsequent retries
The delay before a message is retried for the first time. The default is 240 minutes.

Failed Message Lifetime
This determines the amount of time a message will stay in the outbound queue before MailEnable gives up and moves the message to the Bad Mail directory. If the message has hit the maximum retry amounts, it will be moved to Bad Mail, even if Failed message lifetime has not been reached.

Delay notifications
When an email fails to be delivered, but the error is not permanent (which could happen if there was a network error, the remote server was down, or other errors), then MailEnable will send an email to the original sender to inform them that the message has been delayed. This option will allow you to turn this off, send a message only on the first failure, or to send a message back for each send delay. There is also the option to only send delay notifications after a specified amount time from when the message send is first attempted. This will allow the SMTP service try to send the message more than once before the sender is informed that there is a delay.

Do not generate Non-delivery Receipts
When an email cannot be delivered and the error is permanent, then MailEnable will send a message to the original sender informing them of the error. Enabling this option will stop this message from being generated.


Smart host options

Smart Host Enabled
Enabling this option will force all outbound email to be sent to one server, which is entered here. Do not configure this to point back to the MailEnable server.

This server requires authentication
The server that is being forwarded all of the email may require SMTP authentication. If so, enable this option and enter the username and password that has been assigned. The login method used is AUTH LOGIN.

Domain smart-hosting takes priority
It may be desirable to configure a local domain in MailEnable and smart-host this to a different server to the general outbound email. Enabling this option will allow the smart-hosts that have been configured for individual domains to override the SMTP outbound smart-host.


SMTP Logging options

Logging options
MailEnable's SMTP Connector provides W3C, Activity and Debug Logging. W3C Logging is used to record service usage, Activity logging is used to record system activity and Debug Logging is used to provide low level information on system activity.

Enable Logging
Enables W3C logging for the SMTP service. W3C Logging allows you to specify which fields are logged and the rollover frequency . The directory can also be specified.

Activity Log
Enables the Activity Log.

Debug Log
Enables the Debug Log.


SMTP blocked addresses

Blocked Addresses

Blocked addresses are those SMTP email addresses the server will not accept email for. Any email sent to one of these addresses via SMTP will receive an error indicating that the address does not exist.

Add
Adds a new SMTP email address to block.

Remove
Removes the selected blocked email address.


SMTP Whitelist

Whitelist

Whitelist IP addresses are those that are not checked for reverse DNS blacklisting or SPF and are not auto-blocked by the SMTP security options.

Enable whitelist
Enables the SMTP whitelist.

Add
Adds an IP address to the whitelist.

Remove
Removes the selected IP address from the whitelist.


SMTP Security Options

Reject mail if sender address is from an invalid domain
When a user is sending mail to MailEnable, this option will check the From address in order to verify the domain it is coming from. It works through a senders (FROM) address in the envelope or command message for an email having the domain stripped from an email address. This will then have a DNS resolution lookup completed on the domain name MX record to see if it is registered as a mail server. If not then the message will fail with a permanent error. This is used to stop people abusing the mail server by using incorrect information. The majority of people who use an incorrect From address are spammers. This may affect valid email from incorrectly configured clients, so monitor the logs often.

Authenticated senders must use valid sender address
If this is selected, users with authentication to send email must configure their email client with a valid email address that is assigned to the mailbox they are using to send on. This option is useful to force clients to use a legitimate email address, thereby reducing the possibility of spam.

Senders from local domains must authenticate to send email
When selected any user sending mail must not only have a valid sender email address it must also have authenticated with a valid MailEnable password for the account. This will help stop any spam coming into the server where the senders address is a local server account. This option is ignored if the sender is sending from a local IP address. If using a sender address which does not include the @ symbol (a non-routable address), then the whole address is checked against the local domain list.

Hide IP addresses from email headers
By default, the IP address of a client connecting is displayed in the header of an email message. If the network has its own IP range which is to remain hidden to receivers of emails, this option will replace the IP address with 127.0.0.1

Require PTR DNS entry for unauthenticated connections
If an inbound connection has not been authenticated, MailEnable will look up to see if there is a PTR DNS entry for the connecting IP address. MailEnable will not validate whether the entry is valid, it will check to see if one exists. Local IP addresses are not checked for PTR entries.

Disable all catchalls
Catchalls for domains will cause the email server to collect a lot more email and can cause the server to relay spam (i.e. if the server redirect a catchall to a remote email address). This option will stop all catchalls from working.

Allow domain literals
MailEnable will allow inbound emails to be formatted as user@[IP Address], such as user@[192.168.3.10]. MailEnable will accept emails for any of the IP address that have been configured on the server. If you are using NAT, or wish to accept extra IP addresses which are not configured on the server, select the 'Advanced' button that will allow these extra IP addresses to be entered.

Use alternate welcome message
When an email client or other mail server connects to MailEnable, a one line welcome message is displayed. By default, this indicates that the server is running MailEnable software, and shows the version of the software. If this option is enabled, it is possible to customize the welcome message. There are also two variables that can be used in the welcome text that will be replaced. These are:%LOCALDOMAIN% - this will be replaced with the SMTP domain from the SMTP options%TIME% - this will be replaced with the current time on the server

Restrict the number of recipients per email
It is possible to restrict the number of recipients per incoming email. Allowing a large number of recipients per message may help with sending to contact lists via email clients, but it also raises the benefit to spammers, as they can save on bandwidth and can send through more messages in a shorter amount of time.

Drop a connection when the failed number of commands or recipients reaches
Most email clients will recognize error codes returned by the mail server for an invalid recipient or similar. But some spammers and bulk email utilities may not recognize these errors and keep trying to send. By enabling this option, MailEnable will drop the client connection. It is recommended not to use a low value (5 for example), as some valid web scripts will not check the return codes either – but these will only produce a small amount of failed commands.

Add to denied IP address if this number is reached
If a connection has reached the disconnection limit, it is possible to automatically add the IP address of the client to the SMTP Access Control list. Be aware that if enabling this option, the Access Control list can grow and adversely affect the performance of the SMTP service. Therefore it is recommended to check the Access Control list regularly.


Sender Policy Framework (SPF)

Sender Policy Framework (SPF) (Professional & Enterprise Editions only)

In basic terms, Sender Policy Framework (SPF) is a method of detecting when an email sender is forging their sender address. It does this by confirming with the senders alleged domain (via DNS lookups) as to whether the connecting IP address, or other details, are valid.

Enable SPF
Enables SPF detection.

Reject failures
If an incoming connection returns a SPF fail, then the email message will not be accepted by the SMTP service.

Add Received-SPF header for unauthenticated senders
Adds the Received-SPF header to all unauthenticated emails arriving via SMTP.

Pass local IP addresses (no checking will be done)
If an IP address is determined to be local, then an SPF check is not done.

Enable local white list policy
Use your own SPF white list policy. The local policy is checked when the all mechanism exists for the domain being checked and is not indicating a pass. The local policy only has an effect if it is passing the domain, so you would create an SPF that indicates requirements for domains you wish to pass. The whitelist policy can be a complete SPF record, but must exclude the SPF version string (i.e. Must not have 'v=spf1').

Apply best guess policy for domains without SPF
For connections that do not have an SPF record further checks can be added in their place. A subsequent check could be done on an MX record or even an A record for the domain lookup.

With MailEnable, the results of a SPF test are added as a header item to the email. The header is Received-SPF. SPF tests return one of seven results, which are outlined below. The added header includes the result and a brief description. If there are filters running to check the header, the first string after the header is the result. E.g. Received-SPF: none, Received-SPF: fail.

Result - Description

Pass - The email comes from a valid source.

Softfail - The email may not be from a valid source.

Fail - The email does not come from a valid source.

Neutral - The data is inconclusive in determining whether the email is coming from a valid source.

None - The domain has no SPF record.

Error - There is an error processing the SPF.

Unknown - There is an error processing the SPF.


Reverse DNS Blacklisting

Note: Reverse DNS Blacklisting is not available under Windows NT 4, and you will not see its configuration screen

Reverse DNS Blacklisting allows DNS based blacklists to be used with MailEnable. This can help to control spam. It is possible to select which RBL blacklist providers to use, however, only the select providers that are needed as this feature has an impact on performance.

Enabled DNS Blacklists
This display window will show all the lists that have been enabled for the server. Including the MailEnable defaults and the personally created lists.

Add Button
To choose a blacklist select this button, select a list and click OK. The list will now be displayed in the “Current enabled DNS Blacklists” window on the DNS Blacklisting TAB.

Remove Button
To remove a list at any time select the blacklist in the 'Current enabled DNS Blacklists' window on the DNS Blacklisting TAB and select the Remove button.

Enable DNS Blacklisting
This enables or disables reverse DNS Blacklisting for the SMTP Connector.

Action when detected
The two actions here are;
Don’t accept the email - this will prevent connection by the remote server and respond accordingly. This is the best option for reducing server load.
Mark the message as spam - by adding a line to the header. If enabled the message will be delivered to the Junk E-mail folder within the email client.

Enable DNS Content Filtering
When enabled all messages will have their content scanned for links to web sites. When a link is found, then MailEnable will check the IP addresses of any URLs found to see whether they are contained in the selected blacklist.

Action when detected
The three actions here are;
Don’t accept the email - this will prevent connection by the remote server and respond accordingly. This is the best option for reducing server load.
Mark the message as spam - by adding a line to the email header indicating it is spam. This will allow locally delivered messages to be delivered to the Junk E-mail folder.
The Replace the link option will remove the failed link URL of the message and replace it with “Link is removed”.

Configure Blacklists Button
Opens a screen to allow blacklists to be created or added.

Lookup type
The lookup type that will be used for the blacklist.

Zone Server
The name of the DNS Zone or the IP Address of the DNS host that should be queried.

Record Type to check for
When the remote host or zone is queried, it may return one or more DNS Record types. Most implementations return an A record, but other implementations may return NS, PTR or MX records.

Response
The response that can be sent to the client when a message has been rejected.

Note: It is possible to configure a Whitelist that will override the reverse DNS blacklist.

Note: Reverse DNS blacklists affect the performance of incoming email. The reason for this is that for each inbound connection, MailEnable will perform a lookup in the remote DNS.

MailEnable provides a list of well-known Reverse DNS Blacklist providers. It is also possible to add your own blacklist provider by selecting the Configure... button.

.


Web mail

Web mail options (Professional and Enterprise Editions only)

General

Enable Global address lists (Enterprise Edition only)
Makes global address lists visible to web mail clients when a user selects the address link in a new message. Global address lists are created in the administration program. The configuration of this and the creation of Global Groups is done through the Administration program>Messaging Manager>Post Offices>Directory. This can be right clicked on to add a new address group (Global Group in web mail) or edit currently listed groups by right clicking a group in the right hand panel.

Enable Public folders (Enterprise Edition only)
This allows usage of public folders within MailEnable.Once enabled at a server level, it is possible to enable the public folders for each post office. To do this at the server level, navigate to Administration program>Messaging Manager>Post Office Properties>Message Store TAB>Enable public folders.Once public folders has been enabled for a post office, any directory or folder created in the following location will be made public or shared by all users in that post office.C:\Program Files\MailEnable\Postoffices\[post office name]\PUBROOTNote: In web mail the public folder(s) can be seen but copying or moving messages to the public folder(s) is not possible.

Enable personal calendaring (Enterprise Edition only)
This enables a calendar to be viewed and managed in web mail. This is not a shared calendar - each mailbox has its own calendar that can be used when logging in.

Enable notification of new emails (Enterprise Edition only)
MailEnable has the capability to have an alert pop up in the Windows task bar when the web mail inbox has received a new message. If the alert happens too frequently then the polling interval can be set by changing the value here 'Check Every' 'X' number of minutes.

Display HTML mails in preview window
Selecting a message in the inbox the web mail message will be automatically displayed in the preview window underneath the inbox list. The main reason for not viewing in HTML would be performance reasons and, in some cases, security.

Create URL and email hyperlinks for plain text messages
Enables the underlining and HTML link creation for emails and URLs in a message formatted in plain text format.

Remove unknown tags and scripts from HTML emails This option rebuilds HTML emails to remove any scripting or unrecognised HTML items in order to help prevent exploits or oddities from occurring.

Prevent the loading of remote images in HTML emails
When displaying HTML emails, links to external images can indicate to a remote server that you have read the email (so spammers know that it is a valid email address). This option will prevent any image from displaying in an email if the image is not contained within the email itself.

Number of messages per page
Controls the number of messages that will be displayed on the screen in the inbox list at one time.

Height of messages per page
The height (in pixels) of the message list on the screen. This will in turn affect the message display area. The more messages displaying in an inbox the less of the message display area that will be viewable without scrolling.

User

Users can configure POP Retrieval items
Determines whether the user can configure POP retrieval in the web mail options tab.

Enable Redirection for web mail
Determines whether web mail users are permitted to redirect their mail to alternate addresses.

Enable auto responder configuring
Determines whether web mail users are permitted to configure auto responses for their mailbox (e.g. Out of Office automatic replies).

Users can set their display name
Allows users to specify the friendly name to be used.

Users can set their display name
This allows a user to create a friendly name in the web mail options. This display name will only be used when sending from web mail.

Users can change passwords (Enterprise Edition only)
This gives a mailbox user the ability to change their password in the options of the web mail.

Users can create filters (Enterprise Edition only)
This allows the user to create filters inside the options of web mail. A limit can be placed on the number of filters each user can create. The filters that are available for each mailbox are as follows;
- Message From:
- Message To:
- Message CC:
- Message To or CC:
- Attachments:
- Message Subject Contains:
- Message Contains:

Default Character Set
This is the character set that will be used as the default for web mail users. Users can change this option once they log in under the Settings option page. By default the character set is US-ASCII which does not cater for extended characters. If emails that have been sent from web mail and are missing extended characters or they are displayed incorrectly, it could mean that the user has not set their character set.

Default Time zone
This is the time zone that will be used as the default for web mail users. Since the web server is accessible by users throughout the world, the server needs to adjust the displayed date of the messages in a user’s folder to properly reflect the time relative to their location. For example, if a user in Australia was using web mail on a server in the United States, they would want to see their inbox list displayed with the received date of the messages in their local time instead of a US time. To do this, the web mail browser sends to the server the time zone offset configured on the client computer. If the client computer does not have the correct time zone configured, they will not see the messages with the correct times.

Site options

Base to use for sites which do not have one configured
To set the base design for all sites, make a selection from the drop down combo box.

Site Configuration
If the 'Configure' button is selected the 'Site Configuration' screen is displayed. The Site configuration screen is where skin and web mail display options can be set on a per post office basis. The screen will list all the web sites that are published under IIS. Web mail can then be installed or removed for each of these sites. By making selections within this screen the available skins can be seen and you can check what skins are available for the MailEnable web mail server base that you have selected and choose a base skin for a selected site.

Enable Web mail logging
This will enable and log web mail usage. The higher the level the more actions by a user that are logged. The default path to where this log file is saved is:Program Files\MailEnable\Logging\Webmail

Logging

Web mail logging creates a web mail log file in your MailEnable directory. This feature should only be enabled if there is a requirement for additional logging or to debug/diagnose the web mail service.

Logging status
The logging status can be set to either ‘Disabled’, ‘Log to Debug log’ or 'Log to Windows Event log’. The sliding bar sets the level of logging from low to high. Low level logging includes only logins, high level logging includes listing messages, folders, sending, receiving, actions, and retrieval.

Click here for the Web mail user manual (PDF).


Web mail skins

Web mail skins (Professional and Enterprise Editions only)

The MailEnable website includes sample skins for MailEnable's Web Mail client.

Web mail skins

To install these skins, please extract these ZIP files into the Mail Enable\bin\Webmail\base\default\skins directory.

Instructions on creating skins for MailEnable can be found in the Web Mail Skinning Guide.


Web mail browser compatibility

Browser compatibility (Professional and Enterprise Editions only)

The following is a list of browsers that are compatible with composing HTML in web mail.
Browser | Operating System
Internet Explorer 5.5 + | Windows
Firefox | Windows, Linux, Unix, Mac
Mozilla 1.7+ | Windows, Linux, Unix, Mac
Netscape 7.1+ | Windows, Linux, Unix, Mac


Web administration options

Web administration (Professional and Enterprise Editions only)

The site configuration screen will list all the web sites that are published under IIS. Web administration can then be installed or removed for each of these sites. The site configuration screen can be accessed via MailEnable Management > Servers > Web admin. Right click and select Properties.

To configure web administration layouts (e.g. base, skin selection, language) by web site requires host headers to be configured.

Right clicking on a host header in the right hand screen under MailEnable Management > Servers > Web admin will then allow the web administration layout to be configured.


Web administration layout

Web administration layout (Professional and Enterprise Editions only)

Right clicking on a host header in the right hand screen under MailEnable Management > Servers > Web admin will then allow the web administration layout to be configured.

The IIS host details section configures a host header to add to the MailEnable web administration site that is configured under IIS during the initial installation of MailEnable. The host name, IP address and port are added to this site in order to direct users to the web administration.

Host name
The host name is the domain name users type in their web browser to access the web mail. You may wish to give the webmail a URL similar to webmail.example.com. A DNS entry has to be created in order to direct users to the IIS server.

IP Address
The address that the host header will be bound to. The DNS entry for the host name has to therefore point to this IP address.

Port
The port that the host header will listen on

Base
Set the base (Professional or Enterprise Edition) for web administration

Skin
Set the skin for the web administration interface

Language
Set the language for the web administration interface


Messaging Manager

The Messaging Manager configures global settings for MailEnable.

  • General options
  • Creating a post office
  • Email users
  • Check for upgrade
  • Cluster management


Messaging Manager general options

General Options are accessed by right-clicking the Messenging Manager item in the treeview and selecting Properties. You can also edit the properties by clicking the Configuration icon on the right hand panel when you select Messenging Manager.

New mailboxes have a size limit
When creating a new mailbox, it will use this size limit for all the new mailboxes created.

Automatically create an email address for each domain for a new mailbox
When selected will automatically generate an email address for each domain in a post office when a mailbox is created.

Configuration directory
Path to the configuration directory.

Bad mail directory
Path to the bad mail directory.

Data directory
Path to the email data.

Security

Password Encryption
Passwords in mail enable can be encrypted in the configuration files. You can swap between encrypted and unencrypted passwords by using the wizard.

Enable Integrated Authentication
MailEnable Integrated Authentication allows you to use Windows Authentication as well as MailEnable's inbuilt authentication. It also allows you to have mailboxes created as users successfully authenticate using Windows Credentials. To enable Integrated Authentication, you must select Messenging Manager Properties and check the box labelled 'Enable Integrated Authentication'.

This is a system wide setting that allows you to simply enable or disable authentication for all hosted Post Offices.

Cluster Management
For more information on cluster management click here.


Creating a postoffice

A postoffice is used to host multiple mailboxes and domains under one area. For example, if you were providing email hosting for multiple companies, you would create a postoffice for each company. Within the postoffice you can assign multiple domains and mailboxes. If you are running a small mail server, you might only have one postoffice.

To add a new post office:
- Select the Messaging Manager branch in the left tree view window of the MailEnable Administration program.
-In right window, an icon labeled Create Post office will be shown. Click this icon to create a post office and enter a post office name.
- A password for the postmaster mailbox that will be created for the post office will need to be specified. A new post office will be created.

Note: It is also possible to right click the post offices branch and select New > Post office to create a new post office. Functions that are represented by an icon are mostly available through right-clicking items in the left hand panel.

Post office configuration can be accessed using the Administration Console by selecting Messaging Manager > Post Offices > Post Office Name Properties. Click here for more information on post office properties.


Email users

Email users (all)
An administrator is able to e-mail all the users on the system by selecting the Email users icon.

Email users (individual)
An administrator can e-mail a user/mailbox owner from within the Messaging Manager by right clicking on the mailbox and selecting Send email.


Check for upgrade

The Check for Upgrade button points to the download section of the MailEnable website where you can download the latest supported version of MailEnable.

Click here for more information on how to upgrade to a newer version or release


Cluster management

Cluster management (Enterprise Edition only)

MailEnable stores all system data in a shared storage repository. Server specific information is stored in the Windows Registry (such as details about which IP addresses a service is bound to). This means that it is possible to install multiple server nodes and point them at the same storage repository.

By load balancing and clustering front-end servers (IIS, SMTP/POP, IMAP) the system can scale out easily from the front-end perspective. Ideally, there would be a single file service (probably network attached storage or a SAN) and point all the MailEnable servers to the same post office/configuration repository. This means that SMTP, POP or MTA servers can be added as required and IP load balancing can be used to provide a clustered IP address.

The cluster management window can configure whether an individual server is a standalone server, cluster controller or a server that is joined to another cluster controller. This utility will create the necessary file system share and modify MailEnable’s configuration depending on the mode selected for the server. MailEnable services will need to be restarted after making changes to the clustering.

To make the changes, select the option that best describes this server. If the server is member server, ensure that it is configured to point to the appropriate controlling server before clicking the apply button.

A cluster controller is a server which has a hidden share called MAILENABLE$. This share needs to have both the configuration and data paths as a subdirectory, so the server must not have separate paths set for this. For example, in a default installation of MailEnable, this would be C:\Program Files\Mail Enable. By setting the server as a cluster controller, the hidden share will automatically be created.

A cluster member is a server that points its data and configuration storage at another server that is a cluster controller. By enabling a server as a cluster member, the necessary paths are altered and all the MailEnable services are optionally set to run under the IME_ADMIN Windows user account. The IME_ADMIN users on all servers must have the same password. Use the MEInstaller.exe application that is in the Mail Enable\bin directory to reset this password.

To remove the server from a cluster, or to prevent a server from being a cluster controller, select the option for the server to be standalone and apply the changes.

Click here for information on how to connect to a cluster


Connect to a cluster

Connect to a cluster (Enterprise Edition only)

To connect to a MailEnable cluster, right click the MailEnable Management icon in the Administration program and select the option 'Connect to a MailEnable Cluster'. This will prompt for a username and password, and the server can be selected from the drop down box. Select 'Login' to connect to the server. The username and password that is used to connect to a cluster needs to be a mailbox that has SYSADMIN rights.

Once you have connected to a cluster, servers will need to be added. This only needs to be done once on the machine from where the connection is made. Right click on the Servers icon in the administration program and select the Add Server… menu item. You will be prompted to enter the name of a server you wish to add to the cluster that is being administered. While the configuration data for mailboxes, domains and other items are global to the cluster, each server has its own configuration settings for services, agents and connectors. Not all features are available from remote administration, such as viewing log files.


Post office actions

  • Creating a domain

  • Creating a mailbox

  • Creating a group

  • Directory (Global address list)

  • Importing users

  • Delete messages

  • Edit default message

  • Email users

  • Set quota

  • Creating a list

  • Exporting users


Creating a domain

Multiple domains can be assigned to a postoffice. You need to have at least one domain configured in order to have a valid email address.

The Domain properties page allows you to redirect a domain to another server. If you wish to relay all the mail destined for a domain, you can enter the alternate IP addresses here.

General

Domain is disabled
Stops email being sent to the domain.

Abuse Address
Enter the email address or select the mailbox for the abuse@domain email address.

Postmaster Address
Enter the email address or select the mailbox for the postmaster@domain email address.

Catchall Address
A catchall address will catch all emails for a domain that do not have a mapping to a mailbox. Select either an existing mailbox to send all the emails to, or enter the email address to send these emails to.

Act as Smart Host
Redirects all mail for the current domain to another mail server. This would be used if, for instance, the server was acting as a backup mail server for the domain. Specify a port number by adding a colon and port number after the IP address. e.g. 192.168.3.45:30. Do not enter the IP address of your MailEnable server, as it will create a message loop (the mail server will send to itself) and messages will finally end up in the Bad Mail directory.

Use the ‘Only relay email from authenticated users’ option in order only to relay email from users that have met the SMTP relay option criteria. This can be used if a domain is configured to send to a specific relay server (e.g. you might configure the aol.com domain to relay through to another server for your users, but don’t want anyone to send aol.com messages through your server).

Blacklist

Add blacklisted domains for the selected domain. Blacklisted domains are unable to send mail to this domain. The Domain properties blacklist checks the envelope sender of the email, which may be different to the email contents.

To deny a site for all domains, you are able to enter a mask.
eg: *.com.au

Domains
Remote hosts can be denied access to the system by adding them to the blacklist for a domain. This effectively denies a server the ability to send to the domain if the domain in a senders email address matches an item in the blacklist. For example, if you add the domain 'mailenable.com' to the blacklist for a domain, then the domain will not accept any emails from mailenable.com.


Creating a mailbox

A mailbox is a repository for email. It it used to store emails for one or more email addresses. When a user connects with a mail client application (Outlook Express, Eudora, etc.), they connect to a mailbox to retrieve their email. When creating a mailbox, MailEnable will automatically create an email address for each domain in the postoffice, using the format mailboxname@domain. When a mail client application logs onto to MailEnable to retrieve email, it needs to have its username formatted as mailboxname@postofficename.

The options in a mailbox are:

  • General options
  • Addresses
  • Redirection
  • Actions
  • Messages
  • Service selection
  • Restrictions
  • POP Retrieval
  • Filters
  • Contact details


Mailbox general options

Mailbox Name
This is the name of the mailbox. Once created, this cannot be changed. This both identifies the user and ensures there is no duplication of mailbox names. As the Mailbox Name is entered into the text box, the POP Logon name entry just below it will change to reflect the entry.

POP Username for mail clients
This is the username used for logging onto the server via POP3. Use this information to set up the client mail software. The POP Logon name is the same as the “User Name” that is used by mail clients when they connect to the server to retrieve email. MailEnable uses the @ symbol to identify the post office the mailbox belongs to. This way, the same mailbox names can exist in different post offices (although the username to retrieve their email will differ, since the username is formatted as mailboxname@postofficename).

Password
The password for the mailbox. The client software uses this when connecting. If SMTP authentication is turned on, this password is also used for sending email. Other extensions to the MailEnable product may also use this username/password combination. The password that is set is the same as the password used by mail clients to authenticate when they connect to the server to retrieve email.

Select random password
Creates a random 8 character alphanumeric password.

Mailbox Type
Determines the access level for the mailbox. If the mailbox is given 'ADMIN' rights, then the user will be able to administer this post office in MailEnable via the web administration interface. If the user is given 'SYSADMIN' rights, then they will be able to modify any post office settings.

Mailbox has a size limit
Limits the size of the mailbox. If an email will take the size of the inbox over this limit, the email is bounced back to the sender.

Prevent user from authenticating
If enabled, this will prevent a user from authenticating or logging into any service where the credentials for the mailbox are supplied.

Logon Disabled
When a mailbox is disabled, it cannot be accessed via a service, such as POP3 or web mail. Useful for suspending account, it makes the mailbox or email mappings to the mailbox inactive, without deleting it.

Delete messages
Delete messages from the mailbox.


Mailbox addresses

Friendly Name
The Friendly Name is used as the display name for emails sent via web mail and for the sender for auto-responder messages. When sending messages from email clients, the friendly name is configured within the client application, not on the server.

Reply To Address
This address is used as the reply to address for auto responders.

Email Addresses for Mailbox
Each mailbox can have one or more email address mapped to it. Use the Add Email… button to add new email addresses. It is only possible to add an email that matches an existing domain for the post office. When first creating a mailbox, MailEnable will automatically create email addresses for each of the domains for the post office.


Mailbox redirection

Redirect this mailbox to
Redirect all email for the mailbox to an alternative email address or addresses. To enable redirection, select the ‘Redirect this mailbox to’ checkbox. Select the Add button to add email addresses. If more than one email address is listed, the email will be copied to all of the addresses listed. There is a limit of approximately 25 email addresses that can be redirected to (the limit depends on the length of each email address). For a large number of redirections, use a group - this allows an unlimited amount of addresses.

Keep a copy of the message in mailbox
By default, when redirecting a mailbox to another email address a local copy is not retained. Enabling this option keeps a copy of all messages that are being redirected.


Mailbox actions

Enable auto responder
Enabling this will send a message back to anyone who sends an email to the mailbox. The auto responder will not reply to a message marked as bulk. It is not possible to enable auto responders for the postmaster mailbox.

Enable delivery event
Allows a program to be executed on every message when it is delivered to a mailbox. The command line executed is:program messagefilename connectortypeWhere program is the program filename, messagefilename is the name of the message file and connectortype is the type of messages (i.e. SMTP, LS, SF). Be aware that the directory path to the message is not passed to the program. The program will need to read the directory path from the Windows registry.The delivery event will not execute for any messages marked as bulk. Bulk messages are mostly system generated messages such as delivery failures, delivery reports, and autoresponder replies. Messages from list servers may also not execute the delivery event.


Mailbox messages

Messages
Lists the messages in the current mailbox. Select an item to view the contents of a message. Only the most recent 200 messages are displayed.

Forward all email
Forward all email from this local mailbox to another mail account. It is possible to specify what account to have the messages forwarded from. This will forward the mail in the same way a mail client would. All mail will remain in the mailbox unless the option to delete mail is selected.


Mailbox service selection

Mailbox service selection (Enterprise Edition only)

SMTP Service
Enables or disables the SMTP service for this mailbox. Will prevent the mailbox from sending or receiving messages.

POP Service
Enables or disables the POP service for this mailbox.

HTTPMail Service
Enables or disables the HTTPMail service for this mailbox.

Web mail Service
Enables or disables the web mail service for this mailbox.

IMAP Service
Enables or disables the IMAP service for this mailbox.


Mailbox restrictions

Mailbox restrictions (Enterprise Edition only)

Limit SMTP usage to a maximum of:
Limits the maximum number of messages that can be sent using the SMTP service on an hourly basis. This setting is useful for throttling an account suspected of spamming.


Mailbox POP Retrieval

Mailbox POP Retrieval (Professional and Enterprise Editions only)

Current POP retrieval items
Displays any remote or local mailboxes that have been configured to have their mail pulled down into this local mailbox.

Add Mailbox
The POP Retrieval service can connect to another mailbox and pull any mail in the mailbox into this local mailbox. This is useful to centralize mail receipt over many accounts and across many domains.To set up an account the following details are required;

Mail Server - This is the MX record or DNS name of the remote server e.g.. mail.mailenable.com

Port - This is the port that is used to connect to the remote server. The default for this is port 110

Username - This is the username of the account. If it is a MailEnable mailbox this must be mailbox@postofficename

Password - The password for the account.

This server requires APOP authentication - APOP (Authenticated POP) is an extension of the standard POP3 protocol. Authenticating to a POP server will mean the username and password are both encrypted by the client before being passed "over the Internet". The receiving server must then be able to decrypt the password.

Only download new messages (leave messages on server) - Will download messages leaving a copy on the server.

Enabled - This setting allows the enabling or disabling of a POP retrieval service account. Disabling the account will retain the settings but will stop the account retrieving mail.


Mailbox filters

Mailbox filters (Enterprise Edition only)

Enable filters for this mailbox
Enables filtering for this mailbox only. Each mailbox can have filtering enabled or disabled... Users can change their mailbox filters via web mail. This means several filters can be turned off/on without having to delete and recreate them.

Filters configured for this mailbox
Displays the filters configured for the mailbox. The user of the mailbox can set these filters in web mail. The complete range of filter criteria and actions are not available in web mail; see Mailbox filtering for more details.

Add, Edit, Delete, Enable, Disable
Enables administration of the created filters.


Mailbox contact details

Mailbox contact details (Enterprise Edition only)

The Contact Details property tab stores contact details associated with the owner of the mailbox.

These contact details can optionally be published into the post office global address list for access by applications that use the global address list.

Click here for more information on global address lists.


Creating a group

A group is an email address that maps to one or more other email addresses. For example, you can set up a group with has the recipient as socialclub@company.com and add 50 email addresses as members of this group. When someone emails socialclub@company.com, the email is duplicated and sent to all 50 members.

When creating a group, the group name is the full text of the group name so you can easily identify it. The recipient address is the email address of the group (it will be socialclub@company.com from the above example). When creating a group, the group name is the full text of the group name so you can easily identify it. The recipient address is the email address of the group and within this group there can contain multiple external groups. Groups can contain external addresses, so the one group can have different email addresses that are not hosted on the server.

Group name
Create a name for the group e.g. staff@example.com

Group is disabled
Stops the group from working so that if someone emails the group address, the email will bounce back indicating that the address is not valid

Add email
Add other email addresses for the group e.g. allstaff@example.com

To add a new group member to a group, right click the group, and select New > Group member. Type the email address in the box provided or select “Advanced” which will list all users in the post office. (NOTE: Be cautious of using the “Advanced” option if you have a large number of users in the post office)

To import users into a group from a text file, right click on the group icon in the tree view display and select the All Tasks>Import Members menu item.


Directory

Directory (Enterprise Edition only)

The directory for a post office is a list of email addresses and corresponding display name which is used for web mail as a global contact list. Web mail users will be able to see all the entries under the Global Group when viewing the address book.

The configuration of the directory is done through the Administration program > Messaging Manager > Post Offices > Directory. This can be right clicked on to add a new addresses to the Global Group in web mail. Right click an address and select properties from the pop up menu to edit an address.

Right clicking the directory icon for a post office and selecting All tasks > Import directory entries from the pop up menu will allow you to populate this directory list from a text file which is formatted emailaddress,displayname.


Importing users

Import Windows users

Windows users can be imported into a MailEnable post office. This will create a mailbox for each Windows user. To import users;

1. Select the post office to import the users to
2. Select either the icon for Import users, or right click the post office name, select All Tasks and then select Import Windows Users
3. Select the Windows users to import
4. Select whether to give them a specific quota, or allow them to have an unlimited amount of space
5. The password for all selected users can be set to the same, or MailEnable can generate random passwords for users. If generating random passwords, it is possible to export a list of all the users and the passwords assigned
6. By default, users are given an email address corresponding to a domain for the post office being imported into. Select the domain to assign email addresses for. Mailboxes are automatically enabled when created.

Import users

This feature allows you to import users to the local post office. A comma delimited file that is formatted as emailaddress,password,quota must be used. Password and quota is optional. If not provided then default settings are used and domains will be created if necessary.

If quota limits are not specified in the file, these can be set to a certain limit, or unlimited.

If password settings are not specified in the file, a random password may be generated or a set password can be created for all imported users.


Deleting messages

Messages can be deleted from MailEnable either globally or by postoffice or mailbox. You are able to specify how many days old the messages have to be, whether you wish to delete all messages before a certain date, or you want to delete all messages.


Edit default message

This edits the default message (which has the filename default.mai) that is created in a mailbox when the mailbox is created. For more detailed information on this selection, please see this article.


Email users

Email users (all)
An administrator is able to e-mail all the users at a post office by selecting/clicking on the post office name under Messaging Manager >Post Offices. Then administrator then clicks on the Email users icon to send an email to all users of a particular domain.

Email users (individual)
An administrator can e-mail a user/mailbox owner from within the Messaging Manager by right clicking on the mailbox and selecting Send email.


Set quotas

Selecting this option will reset all mailbox quotas for the post office to the specified value. This will only affect the current mailboxes, not any future ones that will be added.


Creating a list

MailEnable contains a list server that enables people to subscribe and unsubscribe to a list. A list is a online discussion group or information mailout, where emails are sent out to all the members. People are able to post to the list, and the server will duplicate their email and send it out to all the members.

General options

List name
The name of the list. This determines the address that people email to in order to post to the list. You can see the full email address for the list at the bottom of the General property page.

Select domain for this list
The domain used for the list name.

Enable list help
Enables help for the list. If someone posts to the list with the subject of ‘help’ they will receive an email with details of what commands the list server will accept.

Send from
Determines the From address which will be used for all emails coming from the list. This can be either the moderators email address or the list address. This does not determine where the reply goes.

List moderator
The email address of the moderator. When a list is moderated, all the emails that are posted are sent to the moderator. It is the job of the moderator to decide whether or not the email is to be posted. Only emails coming from the moderators email address will be posted to the list.

List is disabled
Disables the list so no one can post to it.

Enable list help
Enables help for the list. If someone posts to the list with the subject of ‘help’ they will receive an email with details of what commands the list server will accept.

List Type
Determines whether the list is moderated or not. If moderated, you need to enter a moderators email address.

Description
A description of the list. This is displayed in the Administration program to allow you to easily see what a list is about.

Options

MailEnable also provides advanced list configuration options. These options can control who can post to lists, where list replies should be directed, who can subscribe to lists and the format of any subject prefix that is applied to posts.

Subscription type

MailEnable can control how subscriptions are handled.

Anyone can subscribe to this list via email
Allows people to subscribe to the list by sending the word “subscribe” as the subject of an email to the list.

E-mail subscriptions are not permitted for this list
Stops people from subscribing to the list. List members can only be added through the administration program.

E-mail subscriptions need to be confirmed
Enforces a subscription confirmation code to be returned to the list for successful subscription. When this option is enabled a subscription code will be sent out after a message has been sent to list with “SUBSCRIBE” in the subject field of the message. The user then needs to reply to list using the confirmation code that was sent out to him/her to successfully subscribe to the list.

Posting permissions

MailEnable can control who can post to a list.

Anyone can post to this list
Anyone is allowed to send a message to the list.

Only subscribers can post to this list
The list will only accept posts from email addresses that exist in the list.

Posting to this list requires a password
Password protects the list. To send an email to a password protected list, users need to enclose the password in square brackets and colons e.g. [: and :]

Reply options

These options determine who should receive responses when a recipient replies to a post.

Subscribers reply to the list
The reply to address is set to the list address, so when users reply to a message that gets sent from the list, their email gets sent to the list.

Subscribers reply to the posters address
The reply to address is set to the email address of the sender, so when users reply to a message sent from the list, their email is sent to the person who made the original post.

Subscribers reply to the moderators address
The reply to address is set to the moderators email address, so when users reply to a message sent from the list, their email is sent to the moderator.

List subject prefix

Some lists place a prefix in the subject of the list messages. This allows subscribers to filter the messages that are dispatched to them via the list server. These options can control the prefix that is appended to the subject of messages that are dispatched to list subscribers.

Subject is prefixed with the name of the list
The list name, enclosed in square brackets [ and ] is added to the start of the subject line of emails posted to the list.

Subject is not altered
Subject is not altered for any messages posted to the list.

Subject should have the following prefix
Specified text is added to the start of the subject line for all emails posted to the list.

Header
This text is added to the top of every email when the Attach header checkbox is selected. Professional and Enterprise Editions can specify text or HTML format.

Footer
This text is added to the bottom of every email when the Attach footer checkbox is selected. Professional and Enterprise Editions can specify text or HTML format.

Click here for information on importing list members.

Click here for information on list commands.


Importing list members

MailEnable can import users from a text file to a list. To do this;

1. Under the Messaging Manager select the post office to import the list members into

2. Right click on the list icon in the tree view display and select the All Tasks>Import Members menu item

3. Select the file to import. The file should be in the format of emailaddress,displayname


List commands

Users send commands to the list by putting the command in the subject line. The available commands for the list server are:

Help
Sends an email back with the available commands of the list server

Subscribe
Adds the user to the list (if the list permissions allow them)

Unsubscribe
Removes the user from the list


Exporting users

A user list can be exported in CSV (comma-separated value) format, with selected fields. To export users;

1. Find the post office where the user details are to be exported.
2. Right click the post office name, select All Tasks and then select Export Users.
3. From the list, select the fields to export to the file.
4. Enter the filename to save as and select Export.


Post office properties

  • General options
  • Agents
  • Restrictions
  • Service selection
  • Feature selection
  • Message store
  • Web admin


Post office general options

Once Integrated Windows Authentication has been enabled globally, each post office can then be configured with specific authentication settings.

The General tab dialog configures the Microsoft Windows domain that post office mailboxes can authenticate against. The name of the mailbox must match the corresponding Windows account name. For example, a mailbox named Administrator will be able to authenticate using the Windows Administrator password.

In simple implementations there is likely to be only one domain, or the authentication will be done against the local machine. More complicated implementations will allow authentication against specific domains (i.e.: if the organization is made up of multiple domains).

Use Integrated Windows Authentication
Defines whether the post office can use Windows Authentication.

Use Post Office Name as Windows Domain Name
Select this option if the name of the post office matches the desired Windows Domain Name.

Map this Post Office to the following Domain Name
Defines the Windows Domain Name that the will be used for authenticating this post office’s mailbox users. To authenticate against the local machine, either leave the Domain Name blank or enter a single period (.).

Authenticate against Active Directory
Configures MailEnable to use User Principal Name (UPN) style logins, rather than legacy Windows NT style logins. Both login mechanisms work equally as effectively, except Active Directory hosting of multiple domains in its hierarchy.

Automatically create mailbox if successful login and one doesn’t exist
Allows accounts to be created as users authenticate. If a user enters valid Windows credentials, their mailbox is created automatically. Enabling this option immediately provides access to mailboxes for those who have validated against the specified domain.


Post office agents

Post office agents (Enterprise Edition only)

The Agents tab dialog configures the agents that are scheduled to run against each post office.

Quota Notifications
Quota notifications can be disabled for each post office within this properties tab. This can be disabled for all mailboxes or, a warning message can be sent whenever a mailbox is within a set percentage of available space.Any existing quota notification in a users inbox will be overwritten with the latest email. This causes the notification email to appear as a new message and stops unused mailboxes from filling up with the notifications.

Mailbox cleanup agent
Allows the automatic deletion of folders from Postmaster account inbox and all post office inboxes, deleted items, sent items to all Junk-Email items folders. It can be set not to delete any unread messages and delete messages in folder over a specified amount of days old.


Post office restrictions

Post office restrictions (Enterprise Edition only)

Restrict the usage of particular messaging services e.g. restrict the number of messages sent per hour. Setting a value for a post office here overrides any settings that have been created for individual mailboxes.

Limit Maximum SMTP recipients
Throttles any mailbox from sending more than a configured number of emails per hour. This setting is useful for hindering spammers from sending and using the server as a source for spamming.


Post office service selection

Post office service selection (Enterprise Edition only)

Enable or disable mail services for a post office. If a service is ‘enabled’ it becomes available for all users in the selected post office.

Service Settings
Enabled services are configured at a post office level and then further arbitrated at a mailbox level. Disabling a service at a post office level will override any mailbox level service settings. For example, if web mail is disabled at a post office level, the mailboxes under the post office will not be able to access web mail. For developers, the values are stored in the postoffice.sys and mailbox.sys files and can be managed by the System Object Provider. Details for using the System Object Provider are outlined in the API Guide.


Post office feature selection

Post office feature selection (Enterprise Edition only)

Features such as Reverse DNS Blacklisting, antivirus scanning and delivery of junk mail to the junk folder can be enabled or disabled for each post office.

Enable Reverse DNS for Post Office
Allows the disabling of Reverse DNS testing for a post office.

Enable Antivirus Protection for Post Office
Similar to above, allows the disabling of Antivirus checking for a post office.

Deliver Junk Email to Junk Email folder
Disabling this feature for a post office will change the actions of any configured filters where the filter has an action of 'Mark as spam'. The message will be delivered to the inbox as normal rather than the Junk E-Mail folder of a mailbox. For emails to be delivered to the junk e-mail folder in users mailbox, the message has to have the following header item:X-ME-Content: Deliver-To=Junk. Filters can add this header.


Post office message store

Post office message store (Enterprise Edition only)

Enable or disable public folders for a post office. Public folders allow one or more mailboxes under the same post office to share data.

Enable Public Folders
Enables public folders for a post office. Once enabled, any directory or folder created in the following location will be made public or shared by all users using the IMAP, HTTP or web mail services.C:\Program Files\MailEnable\Postoffices\[post office name]\PUBROOTNote: In web mail the public folder(s) can be seen but copying or moving messages to the public folder(s) is not possible.


Post office web admin

Post office web admin (Professional and Enterprise Editions only)

Configures feature availability for web administration users for each post office.

Enable web administration for Post Office
Enables web administration for the current post office. Can create and edit mailboxes
Allows mailboxes to be created and edited in web administration.

Maximum no. of mailboxes
Specify the maximum number of mailboxes that can be created for this post office.

Maximum and default mailbox size
Enforces a mailbox size for each newly created mailbox in web administration. This setting can be disabled or changed for each mailbox in the mailbox properties.

Can select mailbox size (up to the default value)
Gives the web administrator the ability to create a quota for the post office mailboxes up to the configured default size.

Can create and edit lists
Allows the web administrator the option to create lists in web administration.

Maximum number of lists
Sets the maximum number of lists a web administrator can create.

Maximum number of addresses in each list.
Limits the number of addresses a web administrator can add to a created list.

Can add and remove domains
Allows the user the ability to add and remove domains in the web administration page.


Management service

Management Service (Enterprise Edition only)

The management service is a general purpose feature which provides an interface to manage server wide properties. The management service includes:

  • Remote management agent
  • Mailbox clean-up agent

  • Quota management agent


Management services: Remote management agent

Remote management agent (Enterprise Edition only)

Remote administration will allow connection to a remote machine or cluster via the administration interface. These remote servers can be added to the administration program for ease of access, and they can then be managed in the same way as the local machines.

Remote Administration Enabled
Enables the remote administration feature of MailEnable and binds the service to the specified port. This feature allows access and configuration of a remote server using the administration program.

Maximum number of concurrent connections
Limits the threads or connections that are available for this service on the bound port.

Listen Port
The port that the service can listen on. (Default 8081)

Debug Log
All purging and notification actions will be logged to a debug log.

IP Addresses to bind to
Select the IP addresses that the Remote Admin service will be bound to. On a multi-homed machine it may be desirable to only allow connections on particular IP addresses.


Management services: Mailbox clean-up agent

Mailbox clean-up agent (Enterprise Edition only)

The Mailbox Clean-up agent performs server-wide clean-up actions on the system and mailboxes. This agent is a purge utility that can be run to automatically delete mail that is older than a set number of days. It is possible to purge the Postmaster, All Post Office Inboxes, All Post Office Deleted Items, All Post Office Inboxes, and All Post Office Sent Items. The utility can be configured to purge emails from the Bad Mail and Quarantine folders on the server.

This purging interval is also relevant for the domain mailbox agents under: MailEnable Management > Right Click on the Post Office >Properties>Agents Tab

The clean-up options for a post office are configured in the post office properties.

Enable Mailbox Clean-Up Agent on this server
Enables the polling and actions. The settings that have been configured for the Bad Mail or Quarantine folders are displayed in this screen. Also for the domain mailbox cleanup agent as mentioned in following section.

Polling interval for purging
Number of minutes between when the service will purge emails. In order to perform a purge, the service needs to examine each folder, and possibly emails for each user, which can be both time and resource intensive. It is recommended to time this so that it occurs only at off-peak times every few days, depending on the number of users configured on the server.

Properties (Folder clean up)
This can be set not to delete any unread messages and delete messages in folder over a specified number of days old.


Management services: Quota management

Quota management (Enterprise Edition only)

Quota notifications are dispatched to all mailboxes on the server that exceed their quota.

Enable Quota Notification Agent on this server
Quota notifications can be enabled or disabled for the server.

Quota notification interval
The quota notification interval determines how often the server will check for mailboxes that exceed quota. When a mailbox exceeds the quota, a message informing the user is placed in the Inbox for that mailbox. Only one notification message will appear in the Inbox, and if the mailbox remains over quota, this message will have its date changed so it appears as the most recent message. In order to check quotas, the service needs to examine the details for each user, which can be both time and resource intensive. It is recommended to time this so that it occurs only at off-peak times every few days, depending on the number of users configured on the server.


Message filtering

Message filtering (Professional and Enterprise Editions only)

MailEnable has two types of filters; global message filters and mailbox message filters.

1. Global message filters are processed by the MTA and apply to all sent and received mail passing through the mail server. The Bayesian filter and Antivirus filter are two examples of global message filters. Global message filters are configurable by Administrators under the MailEnable Messaging Manager.

2. Mailbox message filters (Enterprise Edition only) are processed by the post office connector service and apply to a message as it is being delivered to a mailbox. These filters have a more limited selection of criteria and actions that can be applied. Mailbox filters can be configured in the administration program, or users can configure their own mailbox filters via web mail.

Filter processing

Enable the processing of system filters for this server
Ticking the box activates filtering for the server.

Activity Log
Specify the status and location of the activity log file generated by the filter. This log file contains details of the filters that have been executed and their respective status.

Scratch Directory
The Scratch directory is used by the filters to unpack messages for analysis. This occurs when messages are scanned by the integrated Antivirus agents (this process is explained in more detail later in this section). This is the directory to where MailEnable will decode the email attachments while scanning. Make sure this directory is not subject to real-time scanning by any resident antivirus application.


Antivirus filtering

Antivirius filtering (Professional and Enterprise Editions only)

How to implement antivirus filtering

The antivirus filter allows command line virus checkers to be used on emails that as they pass through the MailEnable server either for relay or for delivery to local mailboxes. The following presets are available but require a valid server license to use any of the following supported software:

- F-Prot

- Sophos

- McAfee Virus Scan

- Norton Antivirus Corporate Edition 7.6

- Norman Virus Control

- Panda Antivirus Command Line

- Grisoft AVG

Configuring MailEnable to filter viruses requires both:

1. Configuration of the antivirus program to use, and also

2. Creation of an antivirus filter in MailEnable

Step 1: Configuring the antivirus program

1. Install the selected antivirus application onto the same server that has Enterprise Edition installed

2. Ensure that any resident or real-time protector capabilities of the antivirus application have been disabled (or all the MailEnable directories have been excluded from being protected by the software).

NOTE: Running a real time antivirus protection on a server can cause issues and each resident antivirus protection agent can have its own problems. If the resident/real-time monitor is enabled, the problems range from blank messages showing up when MailEnable tries to deliver a message with a virus, to possible corruption of mail system configuration files or messages themselves.

As a general rule, consider the following:

- Exclude MailEnable “Queues” and the “Config” Directories from the resident/real-time monitoring.

- Disable the resident/real-time monitor if exclusion of MailEnable directories is not possible within the antivirus application.

3. Open the MailEnable Administration program. Expand the Servers >Local host >Filters branch, select the 'MailEnable Message Filter' icon, then select the MailEnable Antivirus Filter item in the list which appears on the right side panel.

4. Select the appropriate item from the list of available antivirus applications.

5. Make sure that the "Enable" (or "Enable selected antivirus") is selected. It is possible to enable more than one antivirus application on the server, but this will affect the number of messages that can be scanned over a period of time.

6. Ensure that the correct program path to the command line virus scanner has been specified. Select the Options button to change this. Also ensure that the scratch directory exists. This directory is used to unpack the message as it is scanned for viruses.

7. Save changes.

8. Stop the MTA service.

9. Start the MTA service.

Make sure virus definition files are being updated. See the antivirus documentation for information on how to do this. Some antivirus applications specifically require Administrative privileges to run. Since the MTA runs under the LocalSystem account, change this to an account with Administrative privileges. Open the Services control panel applet. For the "MailEnable Mail Transfer Agent" service, change the user account it runs under to a Windows user account that has Administrative rights (i.e. a member of the Administrators group).

Step 2: Creating an antivirus filter

To enable antivirus filtering requires the creation of a filter in the MailEnable Administration program that detects when the message contains a virus and deletes the message or quarantines it, notifies sender, etc.

To create an antivirus filter:

1. Open the MailEnable Administration Program

2. Right click on the Messaging Manager>Filters branch and create a new filter.

3. In the name field enter something like "Antivirus Filter" (without the quotes).

4. Having created the filter, edit the criteria for the filter as follows:

5. Check the criteria "Where the message contains a virus"

6. Create the actions that are undertaken when the virus is detected. E.g. Copy the message to the Quarantine directory or Delete Message

Configuring the antivirus filter

The administration of antivirus filters can be accessed via selecting the properties of the MailEnable Antivirus Filter within the MailEnable administration program. It is possible to select which antivirus applications are used to analyze messages as they pass through the Mail Transfer Agent.

Once the Antivirus agents have been configured to be used by the server, they can be used by specific filters. The configurable properties for antivirus agents are outlined in the following table:

Enable antivirus/filter support
Enables or disable all antivirus and other filters that may be installed for MailEnable.

Enable selected antivirus/filter
Indicates that the currently selected virus checker or filter will scan emails. It is possible to enable more than one antivirus/filter at once.

Options
Sets the advanced options for the currently selected antivirus application.

Test
Tests the currently selected antivirus program by writing out the test Eicar virus and determining whether the command line scanner can detect it. Be aware that this may not work with all command line scanners (Symantec’s Norton's Antivirus Corporate Edition is one of these). For scanners that do not work with the test button, check whether the antivirus program is functioning by running the MTA in debug mode.

Antivirus options

Program Path
The path to the virus checker application. Only select the command line scanner for the antivirus application (the presets in MailEnable will point to the correct application).

Command line arguments
The command line arguments that are used to run the antivirus scanner. There should be no need to change these options unless adding your own antivirus scanner (i.e. not a preset).

Command line arguments will delete attachment
Selecting this will require that the command line scanner to delete any infected attachment. Some virus scanners cannot remove zip files that are infected with viruses using this option.

Return code will be checked against this list
This option will make MailEnable check the return code from a command line scanner. If the return code matches the return codes items in the list, then the attachment is detected as a virus. It is not possible to use any command line argument that deletes the attachment when this option is selected. Use the 'any' keyword in order to check for any return code (i.e. other than 0)

Return code check
Choose to detect the attachment as a virus if the return code is a number other than those in the list.

It is not advisable to notify the sender that the have an infected email. When a virus is sent via email, it will usually use a different senders address that it randomly picks from the infected machine. So by sending notifications back to the sender address it is probably not being sent to someone who is infected.

Also consider that virus-scanning email adds more load on the server. This is because the antivirus filter must extract and test every attachment that goes through the server. It is advisable to adjust the MTA maximum transfer threads under the MTA properties to ensure that the number of concurrent instances of virus scan agents is appropriately configured. Consider that each transfer thread could potentially mean a different concurrent instance of the agent’s command line scanner.

Testing antivirus configuration

Test the configuration by emailing yourself the Eicar test virus from http://www.eicar.com. To perform more advanced testing and debugging, follow the details in this knowledge base article.


Global message filtering

Global message filtering (Professional and Enterprise Editions only)

When the MailEnable Message Filter branch is selected, the filters are listed in the right hand panel. Configure each of these by right clicking on them. By right clicking the Filters folder and selecting Properties, the system filters can be disabled or enabled for the server as shown in the diagram below.

Global Message Filter Properties

By selecting the properties of the MailEnable Message Filter branch, the general properties for the MailEnable Message Filter can be configured. These filter properties configure the infrastructure associated with content filtering. The MailEnable Message Filter Properties window is shown.

The configurable properties for the MailEnable Message Filter are outlined in the following table:

Activity Log
Specify the status and location of the activity log file generated by the filter. This log file contains details of the filters that have been executed and their respective status.

Scratch Directory
The Scratch directory is used by the filters to unpack messages for analysis. This occurs when messages are scanned by the integrated Antivirus agents. This is the directory to where MailEnable will decode the email attachments while scanning. Make sure this directory is not subject to real-time scanning by any resident antivirus application.

Create a global filter

To add a new global filter;

1. Expand the Messaging Manager

2. Right click on Filters in the administration program

3. Select New > New Filter

4. A dialog box 'Add new filter item' will appear.

5. To enable the filter tick the 'Filter is enabled' tick box where the option to name the filter appears.

Click here for information on filter criteria.

Click here for information on filter actions.


Global filter criteria

Global filter criteria (Professional and Enterprise Editions only)

Once a filter has been added, it will appear in the list of Filters. Right clicking on the filter and selecting Manage will manage the associated criteria.

By selecting the criteria, it is possible to edit the associated attributes or conditions. As long as any of the criteria is matched, then the action(s) will be performed. Criteria for a filter can be enabled and disabled by ticking or un-ticking the boxes.

For filter criteria that rely on word or email address matching e.g. 'Where Message Body contains specific words' or 'Where the ‘To’ header line contains specific words', wildcards can be used. Wildcards (*) can be used to locate a specific word that could be hiding in other words or characters (e.g. Filter identifies the word 'porn' that is contained in the word Pornographic or 123porn1121). Wildcards (*) can also be used to cover a range of email addresses. The wildcard scenario can be used to complete an action on any message that arrives into the MTA from a specific domain. e.g. *@mailenable.com

Following is an explanation of each of the filter criteria.

Where the Subject header line contains specific words
Add and remove specific words to the criteria list by clicking the 'Add' button. The criteria may be enabled or disabled by ticking the check box.

This filter is useful when incoming emails contain a re-occurring subject that needs to be filtered. Any word that is added into the filter list and is included within a subject line of a particular email going through the MailEnable MTA will be searched. If an exact match is found then the selected action (see 8.4.2 Filter actions) is completed.

Where Message Body contains specific words
Add and remove specific words to the criteria list by clicking the 'Add' button. This filter is locates specific words in the body of the message (e.g. Viagra).

Where the 'To' header line contains specific words
This is used to specify a sender(s) email address. If an email address is matched, then the selected action is completed.

Enter email addresses here and then click the Add button. If multiple addresses are to be filtered, it is possible to add multiple addresses separated by a semi column - ensuring that no character spaces are contained in the entered line e.g.. test@mailenable.com;test2@mailenable.com.au

Where the Cc header line contains specific words
The Cc criteria line is the same as the To criteria line in that any word or email address entered here will be identified by the filter. Cc is an abbreviation of carbon copy and in business terms is usually equated to 'For Your inclusion' or 'For Your Perusal'.

Where the ‘To’ or ‘Cc’ header line contains specific words
Filters words in the header lines in either of To and Cc fields. This is useful when messages contain a specific email address, that could be in the To or in the Cc fields of the message.

Where the 'From' header line contains specific words
Filter messages that contain a specific email address or domain name in the headers of the email.

Where the message is marked as priority
Filter emails that contain a priority. E.g. filtering all mail with a high priority.

Where the message size is more than the limit
Filter messages over a certain specified size limit. Tick the Size of message is greater than in the criteria properties window to enable the function and then specify the amount in bytes for the message size in the textbox.

Where the message has attachments
Filter particular file extensions attached to an email. To specify a file extension, the process is very similar to specifying email addresses or specific words. Simply type the file extension in the add window and select the Add button to add the file extension to the list. This filter can be used to find attachments containing viruses. This does not disinfect the file, however, the file can be moved or deleted by using an appropriate action.

Where the message has an attachment
Filters out emails with any type of attachment, i.e. filters emails that contain attachments of any file extension.

Bayesian filter spam probability
Filter to set the threshold for spam probability of Bayesian Filtering e.g., define the filter to mark messages as junk if they have over 96.5% spam probability.

Where the message contains a virus
Scans a message for viruses using the virus checker (s) that have been configured in the antivirus settings.

All messages
This criteria is processed for all messages.

Where the SPF test return results matching
This criteria enumerates the SPF test performed by the SMTP Connector and returns a nominated result.

Where the sender has authenticated
This criteria is met when the person sending the message has authenticated before sending the message. This relates to whether the sender has undertaken SMTP authentication.

Where the originators IP address matches
This enumerates the IP address of the person sending the message. It relates to the IP address that the SMTP transaction was received from.

Where the message is associated with this postoffice
Specify the associated post office for the transaction. MailEnable will attempt to allocate an associated post office for each message.

Where the message came from this MailEnable connector
Enumerates the connector that the message is being delivered from.


Global filter actions

Global filter actions (Professional and Enterprise Editions only)

A filter action is an event that occurs when a filter criteria is met.

To create a filter action,

1. Select the filter to create an action for.

2. Select the criteria to create an action for.

3. Select the 'Add action' button to add to the actions list. This will open an action list window.

4. Select the desired action and select the OK button.

Actions are performed in a prioritized list - first to last. To move a particular action in the list to a desired position, highlight the action to move and use the up and down arrows located to the right of the actions list. The following is a description of the possible actions that can be performed when criteria is met.

Copy to badmail
A copy of the message is sent to bad mail folder. The message will still be delivered to the destination mailbox as well. To send to bad mail, and not deliver to the mailbox, create a Delete Message action to occur after the Copy to BadMail.

Copy to quarantine
Copies the message to the Quarantine folder. The quarantine folder is global area that filters can place email messages so they can be viewed or processed later by an administrator.

Delete message
Deletes the message.

Notify sender
This action will send a notification message to the sender of the message. The message filter allows system tokens to be inserted into notification message templates. When defining an action to notify a user with a message, a message template for the notification can then be specified.

The following table lists the tokens that can be used in Message Templates when constructing a notification message. Tokens are populated based on the criteria of the filter. For example, criteria for a filter that was specified to scan for viruses, only the 'All' Tokens and 'Antivirus' tokens would be available within the notification template.

Token Name | Description | Applicable criteria
ME_ FILTERNAME | Contains the name of the filter that executed the call | All
ME_ ACTIONDESC | The description of the current action that | All
ME_MSG | The System Filename of the message | All
ME_CON | The System Connector associated with the message | All
ME_IP | The originating IP Address of the message | All
ME_ACCOUNT | The Account or Post office "owning the message" | All
ME_SENDER | The sender of the message | All
ME_ AVRESULT | The Antivirus Scanning Agent return value | Antivirus Scanning
ME_AVACTION | The action performed by the Antivirus agent when scanning | Antivirus Scanning
ME_AVAGENT | The System name of the AV Agent that was used to scan the message | Antivirus Scanning
ME_BADMAILSENDER | The System BadMail Sender as defined under the SMTP connectors properties | All
ME_MID | A System generated MessageID appropriate for the MessageID header | All
ME_HEADERS | The RFC 822 headers of the original message | All
ME_SZ | The Size of the Original Message | Message Size Criteria
ME_SZL | The Size Limit of the Original Message | Message Size Criteria
ME_BFV | The Bayesian Filtering Value resulting from the message | Spam Probability
ME_BFT | The Bayesian Filtering Threshold for the message | Spam Probability
Notify recipient
Sends a notification email to the recipient to inform them that an action has occurred on an inbound email. For example, if a message is deleted because an attachment is an executable, this option will notify the recipient that this has happened. The same notification options as outlined can be used when performing the Notify Sender action.

Notify address
This will send a notification message to a specified address.

Forward to address
This filter action forwards the email to an email address.

Execute application
Execute an application on the email. Since the MTA may execute an action concurrently, make sure that the application specified can have multiple instances running. If not, it may be required to change the MTA service to only use one thread.

Add header
Adds a header line to the email. If the header line already exists it will be replaced.

Mark as spam
This will mark the message as spam, which will send the message to a users Junk E-mail folder if the post office option for this is set.

Stop processing filters
This action stops the processing of any more filter actions.


Bayesian filtering

Bayesian filtering (Professional and Enterprise Editions only)

General

Dictionary
MailEnable Dictionaries are located under Program Files\Mail Enable\Dictionaries. MailEnable provides a default dictionary that can be used with the filter. This dictionary is located in Program Files\Dictionary\default and is called MAILENABLE.TAB. For information on creating dictionaries, refer to the product manuals.

Process HTML content in messages
This means that if the message contains HTML, then the HTML is parsed as well as the message plain/text boundary. Tokens will therefore also include data from the HTML messages. It makes the filter more likely to detect HTML as spam because the tokens/patterns of the HTML of bad messages can be used to calculate the probability of spam.

Spam calculation method
When a message is split into its tokens/words for analysis each token in the message is given a probability of either being spam or non-spam. As such, MailEnable can be configured to use a number of methods for calculating the final probability of a message being spam.

These are outlined as follows:

Measure highest and lowest percentiles of the most frequent tokens - Only those tokens most frequently occurring in the message will be used/aggregated to measure the probability of the message being spam i.e. If this option is used, then messages containing multiple instances of a spam token will most likely be diagnosed as Spam

Measure all tokens in the message - This means that all tokens occurring in the message will be used/aggregated to calculate the probability of the message being spam. The recommended method to use is: "Measure all tokens in the message" because it provides a more balanced calculation.

Measure tokens within the highest and lowest percentiles - This means that only those tokens/words in the message that are most likely to denote the message as spam or non-spam are considered i.e. If this option is used, it will mean that a legitimate message containing the word 'viagra' would be more likely to be detected as spam.

Auto-training

Enable auto-training
To auto-train the Bayesian Filter, there needs to be samples of both 'ham'and 'spam' emails. Also, a global filter with the 'Bayesian filter spam probability' criteria must be configured. See filter criteria.

Spam Honeypot Email Addresses (Edit address list)
Define email addresses that do not receive valid mail for sampling.

Ham Addresses (Edit address list)
Define "ham' or legitimate email addresses for sampling.


Advanced Scripting

Advanced Scripting (Professional and Enterprise Editions only)

Scripted filtering provides a flexible and extensible means of creating complex filters. The scripting language used is similar to Microsoft VBScript and includes an in-built function for validating criteria. The variable called FilterResult is used as the return value from the filter and can be set at any time in the script. A FilterResult value of 0 indicates that the filter criteria were not met while a value of 1 indicates that the filter criteria were met, and the associated actions for the filter will be executed. Criteria within scripts can be formed using literal values or tests. Literal values are tokens that are placed in the script and are substituted with their corresponding value. For example, a literal value of [ME_SIZE] can be placed directly in the script for comparison and will be substituted with the message size when the filter is executed. Tests are performed using the CriteriaMet function, and is used for non-numeric values, such as when string comparisons are being made.

Literal values

The following table lists the literal values which can be used in a script.

Token | Value
[ME_SPAM_PROBABILITY] | Contains a numeric value of the calculated Bayesian probability of a message being detected as spam.
[ME_SIZE] | The size of the message in bytes
[ME_SENDERAUTH] | Indicates whether the sender of the message authenticated in order to dispatch the message to MailEnable. The value is 1 if the sender authenticated, otherwise the value is 0.
[ME_HASVIRUS] | Indicates whether the message contained a virus. The value is 1 if the message contained a virus, otherwise the value is 0. When a virus is detected by filter criteria it is automatically removed from the message.
[ME_HASANATTACHMENT] | Indicates whether the message has an attachment. The value is 1 if the message has an attachment, otherwise the value is 0.

Literal enumeration example:

If ([ME_SENDERAUTH] = 0) Then
‘sender has not authenticated
End If

Extra literal values are also available for substitution. These are formatted differently because they are not evaluated as the filter is being executed, but read from the command file for the message being processed.

Token | Value
%IPADDRESS% | The TCP/IP address of the originating message
%POSTOFFICE% | The post office that can reasonably be assigned to the message.
%SENDER% | The sender of the message in Internal format of [CONNECTOR:Address]. E.g. [SMTP:xjz@mailenable.com]
%RECIPIENTS% | The recipient(s) of the message in internal format of [CONNECTOR:Address];[CONNECTOR:Address2]. E.g. [SMTP:xjz@mailenable.com];[SMTP:def@mailenable.com]
%SUBJECT% | The subject of the message.

Example 1: Check whether the subject of a message contains the letters ABC

If InStr(1,UCase("%SUBJECT%"),"ABC") > 0 then

FilterResult=1

End If

Example 2: Check if the Subject of the message contains "Re" at the start of it

If Left("%SUBJECT%",2) = "Re" then

FilterResult=1

End If

Enumerations requiring the CriteriaMet syntax

Token | Value
[ME_TO] | The message envelope recipients or the To: denoted in the message headers matches the designated criteria.
[ME_CC] | The Cc: denoted in the message headers matches the designated criteria.
[ME_ToorCC] | The message envelope recipients or the To: or Cc: denoted in the message headers matches the designated criteria.
[ME_FROM] | The message envelope sender or the From: denoted in the message headers matches the designated criteria.
[ME_HEADERS_CONTAIN] | The message headers contain data matching the designated criteria.
[ME_SUBJECT] | The message subject contains data matching the designated criteria.
[ME_PRIORITY] | The priority of the message meets the designated criteria.
[ME_SPF] | The SPF response string associated with the message meets the designated criteria.
[ME_HASATTACHMENTSMATCHING] | The message contains an attachment with a file name that meets the designated criteria.
[ME_BODY] | The body of the message contains text meeting the designated criteria.

Literal Enumeration example:
If (CriteriaMet([ME_SUBJECT], "Viagra")) Then
'Do Stuff
End If

In cases where literal values return 1 or 0, it is possible to also use literal values with the CriteriaMet function, although there is no real reason to do so:

Example: CriteriaMet([ME_SENDERAUTH], 0) is the same as
([ME_SENDERAUTH] = 0)
But this is not the case for string values:
CriteriaMet([ME_SUBJECT], "Viagra") is not the same as
([ME_SUBJECT] = "Viagra") because string tokens cannot be used in this manner.

Basic script example

An example script for an advanced filter is outlined below:

FilterResult=0

If Hour(Now) > 10 Then

If [ME_SIZE] > 1024 OR CriteriaMet([ME_BODY],"*123*") AND _

CriteriaMet([ME_SUBJECT],"*123*") Then

FilterResult=1

End If

End If

This example script will have its criteria met under the following circumstances. If it is after the 10th hour of the day and the size of the message is greater than 1KB Or the Body of the message contains the string 123.

Advanced script example

A more complicated example script for a filter is outlined below:

FilterResult=0

If Hour(Now) > 10 Then

If [ME_SIZE] > 1024 OR CriteriaMet([ME_BODY],"*123*") AND _

(CriteriaMet([ME_SUBJECT],"*123*") OR _

CriteriaMet([ME_SUBJECT],"*456*")) AND _

CriteriaMet([ME_SIZE],123) Then

FilterResult=1

End If

End If

This script is similar to the one above, with the exception of containing more comparisons.

Note: In the above example, the CriteriaMet([ME_SIZE],123) line actually implicitly means that the message size is greater than 123 bytes.

Reporting Matching Criteria

MailEnable logs a return result from filters to the log file or as the [ME_CRITERIA] token replacement for actions. For example, the action to add a header to an email can use the [ME_CRITERIA] token which will be replaced with the string returned from the script. When not using scripting for a filter, this return value is preset and cannot be modified, but when a scripting filter is used the return value can be set within the script. This is done by setting the MEResultData variable within the script.

Example: Setting the MEResultData variable within a scripted filter

If "%SUBJECT%" = "ABC" Then

MEResultData = "Subject matched ABC"

FilterResult=1

Else

If InStr(1,"%SUBJECT%","FRED") > 0 Then

MEResultData = "Subject contained Fred"

End If

End If

If not using a scripted filter, then a system-generated string is returned to denote which were the matching criteria. An example string returned when a filter is matching the term 'Viagra' at the beginning of the message subject follows:

CRITERIA=SUBJECT, DATA=<MF-W>Viagra*</MF-W>

An extract from an example log file is shown below. The filter column will show whether a scripted filter is being used or not.

Time | Action | Message ID | Connector | Filter | Result | Account | Sender | IP Address | Data
08/21/06 21:42:15 | Start | - | - | - | - | - | - | - | -
08/21/06 21:42:31 | Exec | A.MAI | SMTP | Scripted | ADD_HEADER, NOTIFY_SENDER |  | [SMTP:user@mailenable.com] | 127.0.0.1 | Subject matched ABC
08/21/06 21:43:37 | Exec | B.MAI | SMTP | Basic | ADD_HEADER, NOTIFY_SENDER |  | [SMTP:user@mailenable.com] | 127.0.0.1 | CRITERIA=SUBJECT, DATA=<MF-W>AB*</MF-W>

This example shows messages A.MAI and B.MAI being processed.

A.MAI was intercepted by a filter called "Scripted" because the scripted filter reported that the subject matched the term ABC.

B.MAI was intercepted by a filter called "Basic" because the Subject of the message matched a criteria string AB*. (Note: the <MF-W> mark-up around the term is used to indicate that the term was sourced from word list criteria).


Mailbox filtering

Mailbox filtering (Enterprise Edition only)

Mailbox filtering can be performed in two ways.

1. via the Administration program.

2. via web mail.

Creating a mailbox filter

To create a mailbox filter via the administration program;

1. Select a mailbox

2. Right click to bring up the Properties window

3. Select the Filters tab and then Add.

4. Create a name for the filter

5. Ensure the Enabled box is ticked and select OK.

6. Highlight the filter that has just been created and click the Edit button

By selecting the criteria, it is possible to edit the associated attributes or conditions. As long as any of the criteria is matched, then the action(s) will be performed. Criteria for a filter can be enabled and disabled in by ticking or un-ticking the box.

NOTE: Mailbox filtering has less available criteria and actions than global filtering.

Filter criteria

Where Message Body contains specific words
Add and remove specific words to the criteria list by clicking the 'Add' button. This filter is locates specific words in the body of the message (e.g. Viagra).

Where the 'To' header line contains specific words
This is used to specify a sender(s) email address. If an email address is matched, then the selected action is completed.

Enter email addresses here and then click the Add button. If multiple addresses are to be filtered, it is possible to add multiple addresses separated by a semi column - ensuring that no character spaces are contained in the entered line e.g.. test@mailenable.com;test2@mailenable.com.au

Where the Cc header line contains specific words
The Cc criteria line is the same as the To criteria line in that any word or email address entered here will be identified by the filter. Cc is an abbreviation of carbon copy and in business terms is usually equated to 'For Your inclusion' or 'For Your Perusal'.

Where the 'To' or 'Cc' header line contains specific words
Filters words in the header lines in either of To and Cc fields. This is useful when messages contain a specific email address, that could be in the To or in the Cc fields of the message.

Where the 'From' header line contains specific words
Filter messages that contain a specific email address or domain name in the headers of the email.

Where the message is marked as priority
Filter emails that contain a priority. E.g. filtering all mail with a high priority.

Where the message size is more than the limit
Filter messages over a certain specified size limit. Tick the Size of message is greater than in the criteria properties window to enable the function and then specify the amount in bytes for the message size in the textbox.

Where the message has attachments
Filter particular file extensions attached to an email. To specify a file extension, the process is very similar to specifying email addresses or specific words. Simply type the file extension in the add window and select the Add button to add the file extension to the list. This filter can be used to find attachments containing viruses. This does not disinfect the file, however, the file can be moved or deleted by using an appropriate action.

Where the message has an attachment
Filters out emails with any type of attachment, i.e. filters emails that contain attachments of any file extension.

Where the message contains a virus
Scans a message for viruses using the virus checker (s) that have been configured in the antivirus settings.

All messages
This criteria is processed for all messages.

Where the SPF test return results matching
This criteria enumerates the SPF test performed by the SMTP Connector and returns a nominated result.

Where the sender has authenticated
This criteria is met when the person sending the message has authenticated before sending the message. This relates to whether the sender has undertaken SMTP authentication.

Where the originators IP address matches
This enumerates the IP address of the person sending the message. It relates to the IP address that the SMTP transaction was received from.

Where the message is associated with this postoffice
Specify the associated post office for the transaction. MailEnable will attempt to allocate an associated post office for each message.

Where the message came from this MailEnable connector
Enumerates the connector that the message is being delivered from.

Filter actions

The following actions are available for mailbox filtering:
Delete message
Deletes the message.

Move message to folder
Moves the original message to a folder.

Copy message to folder
Copies the filtered message to another folder (i.e. retains the original message and creates a copy of the message in another folder).

Move to junk email folder
Moves the filtered message to the junk email folder.

Move to quarantine folder
Moves the filtered message to the quarantine folder.


Security and authentication settings

  • Windows integrated authentication
  • SMTP authentication
  • NTLM authentication
  • Relay settings
  • Secure Sockets Layer (SSL)


Windows Authentication Integration

Once you have enabled Integrated Authentication, you can then configure each Post Office with specific authentication settings. This can be accessed using the Administration Console by selecting Messenging Manager|Post Offices|Post Office Name Properties.

This dialog allows you to configure the Windows domain that Post Office mailboxes can authenticate against. The name of the Mailbox must match the corresponding Windows account name. For example: A mailbox named Administrator will be able to authenticate using the Windows Administrator password.

In simple implementations, there is likely to be only one domain (or authenticate against the local machine). More complicated implementations will allow you to authenticate against specific domains (ie: the organization is made up of multiple domains).

Use Integrated Windows Authentication
This setting allows you to define whether the Post Office can use Windows Authentication.

Use Post Office Name as Windows Domain Name
You should select this option if the name of the Post Office matches the desired Windows Domain Name.

Map this Post Office to the following Domain Name
This setting allows you to define the Windows Domain Name that the will be used for authenticating this Post Office's Mailbox users. If you wish to authenticate against the local machine, you can either leave the Domain Name blank or enter a single period (.).

Authenticate against Active Directory
This option configures MailEnable to use UPN style logins, rather than legacy Windows NT style logins. Both login mechanisms work equally as effective, except Active Directory allows you to host multiple domains in its hierarchy.

Enable Account Creation
This option allows accounts to be created as users attempt to Authenticate. If a user enters valid Windows credentials, their mailbox is created automatically. By enabling this option, you can immediately provide access to mailboxes for those who have validated against the specified.


SMTP authentication

SMTP Authentication is ideal for restricting who is able to use your server to send email. Enabling it will prevent unauthorised people from sending spam and other unwanted emails. It also requires that your users have authentication enabled on their mail clients. If they do not have authentication enabled, they will not be able to send email out through your mail server. SMTP Authentication is enabled on MailEnable via the SMTP properties. On the Relay property page, is is enabled with the Allow relay for authenticated senders checkbox.


NTLM authentication

NTLM authentication (Professional and Enterprise Editions only)

When MailEnable is configured to provide NTLM authentication, mail users with Outlook or Outlook Express will be able to select the option to use Secure Password Authentication when authenticating against the MailEnable Server. This provides a higher level of password encryption when clients authenticate.

NTLM is an authentication protocol used primarily by Microsoft applications to securely authenticate over a network. MailEnable provides NTLM support for the IMAP, POP, and SMTP, allowing NTLM capable mail clients to securely negotiate credentials when authenticating.

Microsoft Outlook and Outlook Express refer to the NTLM protocol as “Secure Password Authentication”. Generally speaking, unless the backend mail server can negotiate NTLM authentication, it is not possible to use the Secure Password Authentication feature of the mail client.

When the Secure Password Authentication feature is enabled within the mail client, the mail client will encrypt and send the currently logged in Windows username to the MailEnable server. The MailEnable server then looks up the user and verifies that they exist, and assuming so, will send down an encrypted password hash that can be used by the client to validate the password for that user.

This authentication mechanism, is well suited in environments where single sign-on is required or desirable. Using NTLM, once the user has logged in to Windows, they do not necessarily need to specify or configure the mail client with a designated username or password. If the username of the currently logged in user cannot be validated against MailEnable, most mail clients will then use any credentials that have been associated with the account.

NTLM can be enabled/disabled at a service level. There are no other parameters that need to be configured other than whether it is enabled for the service or not.

Enable NTLM
If this feature is enabled then secure authentication between the server and the supported client is enabled. This will allow the server to accept requests from the client to use secure transmissions for the authentication method. The client also has to be enabled use this secure authentication. E.g. in Outlook the feature is called SPA >Secure Password Authentication.

Configuring NTLM on the mail client

The Secure Password Authentication (SPA) feature in Outlook/Outlook Express is found under Tools > Accounts menu option when either creating or editing an email account.


Configuring host headers

Configuring host headers (Professional and Enterprise Editions only)

To configure a host header for a website in the Site configuration window, launch the IIS manager in Windows Control panel >Administrative Tools >Internet Information Services.

Steps to configure a host header:

1. Navigate to the Web site tab and
2. In the website identification section, select Advanced
3. In the next window is it possible to configure multiple identities for the website
4. Select Add and select an available IP address in the dropdown menu, TCP port number and the host header name to be used.
5. Select Apply and exit IIS manager.


Host header skin configuration

Host header skin configuration (Professional and Enterprise Editions only)

In the Site selection window, select the website with the configured host header identity. This will open a site configuration window for the host header identities configured in IIS for the selected website.

- Default Post office – designates a particular post office configured in the administration program for a host header name selected in the list.
- Base – select a base site for a host header name selected in the list
- Skin – host header name skin selection.
- Language – language selection for the host header name site.


Server configuration

General

Enable Default Post Office
Specify the default post office for your server. This means that any username that only has the mailbox name will be assumed to be from the default post office. E.g. the sales@example.com user will only need to use sales to log on with.

Enable post office bindings (Enterprise Edition only)
It is possible to bind each MailEnable post office to a particular IP address on the network card. This means that all post offices will only need to use the username to log-in (not just the default post office). This will also allow the welcome message when a connection is made to the server return a value that is specific for each post office.

Policies

Lock out user for one hour after
Keeps track of mailbox authentication failures per hour; all services have the authentication logged as one. When the number of failed attempts is reached, the account will be locked out for 1 hour.

Prevent simple passwords
When an administrator creates an account or a user changes a password, the password must meet the password complexity requirements, as outlined below, if this feature is enabled.
- Passwords must be over 6 characters long
- Passwords cannot match mailbox or account name, or have the mailbox or account name contained in the password string.
- Password cannot be 'password' or cannot have the word 'password' contained in the password string.

SSL (Enterprise Edition only)

Once an SSL Certificate has been configured in the server’s Personal Certificates store, select and enable that certificate for use under MailEnable. The SSL certificate that is chosen for use by MailEnable is used for all SSL communications. For more information on SSL, refer to the product guide.


Relay settings

For a server on the Internet, the best relay setting to have is to only have Allow relay for authenticated senders, and leave Allow relay for local sender addresses unchecked. This will make everyone who wants to send email out via your server provide a username and password. Find below an explanation of the various relay settings.

Allow relay for authenticated senders - this means that people who try to send mail out through your server need to enter a username and password (ie. SMTP authentication). To set this is different for various mail clients, but in Microsoft Outlook Express and Microsoft Outlook for instance, you do this in the account properties via the "My server requires authentication" checkbox under the "Servers" tab. It is advisable that you have this option enabled if you aren't using priviledged IP ranges.

Allow relay for priviledged IP ranges - this means that you will allow people with certain IP addresses to send email through your server. If you know the IP addresses of those persons who are able to send email out through your server, you can use this option. DO NOT select this if you haven't set a list of IP addresses, as you may inadvertently allow everyone access. Normally this option is not selected.

Allow relay for local sender addresses - this will allow people to send mail if their From address has a domain that you host on Mail Enable. For instance, if you host domain.com, and someone sends a mail that has their From address as peter@domain.com, the email will be sent. Unfortunately spammers may still abuse this by pretending they are one of your users, so most servers will not use this option.


Protecting against spam

In order to minimize the amount of spam being received, the following actions are suggested:

  • Do not have a catch-all set for domains. Spammers will make up email addresses for the domains hosted and try to send to them.
  • Enable the setting 'Reject mail if sender address is from an invalid domain' . This is in the SMTP connector properties. This will stop the mail server from accepting email from people who have put an invalid domain as their From address.
  • Enable the option for requiring that those sending mail to the server have a DNS PTR record defined for the IP address of their mail server. This setting is configured under the properties of the SMTP connector in the MailEnable Administration Program. Not having a PTR record usually indicates that the sender is on a dial-up/cable/ADSL connection.
  • Enable the option to require that anyone sending from a locally hosted e-mail address needs to authenticate. This prevents spammers from using your local envelope sender to send spam to other users on your server. This setting is configured under the properties of the SMTP connector in the MailEnable Administration Program.
  • Configure the SMTP connector to use 1-2 RDNS blacklist providers; since this will prevent you receiving spam from known spammer IP addresses.
  • If using MailEnable Enterprise Edition 2.0 or later, enable the URL blacklisting option, since it will scan messages for URLs that are known to be spam links.
  • Enable MailEnable's Sender Policy Framework (Professional and Enterprise Editions only). This setting is also configured under the properties of the SMTP Connector in the MailEnable Administration program.
  • Bayesian Filtering is a self learning spam system that uses complex algorithms to detect spam by comparing message content against a dictionary. All filtering actions can be executed on the Bayesian criteria being met.
  • If using MailEnable Professional or Enterprise Editions, configure one or more filters containing known spam term or word patterns. For example, a filter containing terms like Viagra (and combinations thereof using wildcards or text patterns) will catch mainstream spam.
  • There are several dedicated third party anti-spam solutions that can be used to complement MailEnable's integrated spam blocking and content filtering. These are outlined here: Article ME020344
More information on spam protection:

- Bayesian filtering

- Sender Policy Framework

- Relay Settings

- SMTP Authentication

- Reverse DNS Blacklisting

- Message filtering


Backing up and restoring data

MailEnable has a backup utility which is accessible through the Program Files>Mail Enable>System Tools menu. This utility can pass /BACKUP as a parameter to use it as an automated command line backup utility. There are three main areas where MailEnable stores configuration and user data:

- Registry: Server Configuration (Service Settings, Machine Specific Configuration Information)
- File System: Queues, Post office and Account data, etc
- Provider Store (File System: \CONFIG Directory or SQL Server Database; depending on provider).

It is simple to backup and restore MailEnable. The most primitive way is to copy everything under the Program Files directory to an alternate location. MailEnable mostly uses flat files for configuration (by design) and therefore all messages and configuration are simple to backup. The only additional information to (optionally) backup is the information in the registry. The registry hosts server specific information (like connector settings, etc).

To do this requires the registry editor (REGEDIT) to export the HKEYLOCALMACHINE\SOFTWARE\MailEnable registry key (and all sub keys and values) to a reg file. (More information on how to use the registry editor is available from Microsoft's Web Site).

To recover the backup, stop all services, replace the directory tree from the backup and then import the saved registry file into the registry.

Click here for more information on the Backup Utility


Configuring Mail Clients

  • Configuring Microsoft Outlook Express
  • Configuring Microsoft Outlook
  • Configuring Outlook 2002/2003
  • Configuring Netscape Messenger
  • Configuring Mozilla Thunderbird
  • Configuring other mail clients
  • Configuring clients for HTTPmail
  • SMTP authentication compatible clients


Configuring Microsoft Outlook Express

1. Open Outlook Express.
2. Click on 'Tools | Accounts...'.
3. Click on the 'Mail' tab.
4. On the right side, click on 'Properties'.
5. Now click on the 'Servers' tab.

Make sure the POP Logon name is the same as the Account name (username) that is used by mail clients when they connect to the server to retrieve email. Eg: mailbox@postoffice.
If you have enabled SMTP Authentication on your server, you should check the option instructing Outlook Express that your outbound server requires authenticaton. The checkbox to do this is labelled My server requires authentication.

For assistance in setting up other mail clients, please refer to the MailEnable web site.


Configuring Microsoft Outlook

1. Access the Tools|Accounts menu.
2. Select the Mail tab and click Add|Mail.
3. Enter an appropriate display name.
4. Enter your e-mail address.
5. Specify your incoming and outgoing mail servers. eg: mail.[mydomainname].com.
6. Specify your Account Name and Password. Your Account Name is formatted as Account@Postoffice.
7. Specify how you connect to your mail server.
7. Click Finish


Configuring Microsoft Outlook 2002/3

1. Access the Tools | E-mail Accounts menu
2. Select the Add a new e-mail account option and select Next
3. Select either POP3 or IMAP, then select Next
4. Enter the email account settings
5. Specify the incoming and outgoing mail servers. E.g. mail.[mydomainname].com
6. Specify the account name and password (account name is formatted as mailboxname@postofficename).


Configuring Netscape Messenger

1. Start Netscape
2. Select Edit then Preferences from the menu bar
3. Click on the '+' symbol on the right of Mail & Group
4. Click Mail Server option
5. Enter values in the input boxes
If you don't want to re-enter your password every time you check email click More Options, then tick Remember mail password
6. Click on Identity
7. Type in your full name or business name in Your Name: input box
8. Type in the email address you would like people to contact you with (e.g. info@mydomain)
9. Type in your reply email address (e.g. info@mydomain)
Click OK to accept new settings.


Configuring Mozilla Thunderbird

Mozilla Thunderbird can configure the inbound email settings separate from the outgoing mail. To configure the incoming email server:

1. Access the Tools | Account Settings menu
2. Select Add Account
3. Select the Email account option in the Account Wizard window that appears and select Next
4. Enter name and e-mail address and select Next
5. Select whether to use POP or IMAP protocol and enter the incoming email mail servers. E.g. mail.[mydomainname].com, then select Next
6. Specify your Incoming User Name and select Next. (User Name is formatted as mailboxname@postofficename)
7. Enter the account name for this account select Next
8. Select Finish

Now to set the outgoing mail server details:

9. Access the Tools | Account Settings menu.
10. Select the Outgoing Server (SMTP) item in the list box
11. Enter the server name of the outgoing mail server. E.g.: mail.[mydomainname].com
12. Enable the username and password checkbox and enter the username (username is formatted as mailboxname@postofficename)
13. For the Use secure connection option, select No
14. Select OK to save changes.


Configuring other mail clients

For assistance in setting up other mail clients, please refer to the MailEnable web site.


Configuring clients for HTTPMail

!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN"> Configuring clients for HTTPMail

Configuring clients for HTTPMail (Professional and Enterprise Editions only)

The HTTPMail access protocol is currently only supported with Microsoft based clients. If using Outlook Express, Outlook 2002 or Outlook 2003 as a mail client, select the mail protocol as HTTP and enter in the following details:

Protocol: HTTP

Provider: Other

Incoming mail (POP3, IMAP or HTTP) server: http://machinename:8080/MEHTTPMail

Example:

From Outlook (in the example, Outlook Express) choose >Tools>Accounts from the Menu.

1. Select Add | Mail... and

2. Enter the Display Name (Friendly Name), then select Next.

3. Enter the e-mail address; then select Next.

4. Select HTTP as the mail server type and enter the URL to the HTTPMail service (http://machinename:8080/MEHTTPMail); then select Next..

5. Enter the MailEnable credentials; then select Next..

Note: Since HTTPMail is an authenticated service, use the usual account credentials when prompted. (i.e.: User@ Your Account/Postoffice)..

6. The wizard has now completed; please select Next..

The HTTPMail Service has now been configured under Outlook Express. For more information on using Outlook Express, please refer to the Outlook Express Online Help.


SMTP authentication compatible clients

Find below a list of mail clients that are compatible with SMTP authentication. This is not a complete list. Refer to the mail client documentation to verify whether SMTP Authentication is supported.

Microsoft Windows
Mail Client | Support
Eudora 3/Light | Unsupported
Eudora 4.3 & 5.0 | Supported
IncrediMail | Supported
NeoPlanet 5.2 | Unsupported
Netscape 3.X | Unsupported
Netscape Communicator 4.X | Supported
Netscape Communicator 6 | Supported
Opera 5.12, 6.0 | Unsupported
Outlook 97 | Unsupported
Outlook 98, 2000, 2002 | Supported
Outlook Express | Supported
Pegasus 3.12c and later | Supported

Macintosh
Mail Client | Support
Entourage (Office 2001) | Supported
Eudora 4.3 & 5.1 For Macs | Supported
Eudora Light 3.X | Unsupported
Mac OSX Mail | Supported
Netscape Communicator 4.7 | Supported
Outlook Express 5.01 and before | Unsupported
Outlook Express 5.02 and greater | Supported


Configuring DNS

In order for other mail servers and clients to be able to send mail to your mail server, ensure that the appropriate DNS records are published. These records are used by other mail servers to locate your server when they attempt to parse recipient addresses (i.e.: it allows a domain name to equate to an IP Address). Exactly how DNS is configured depends largely on whether you are hosting your own publicly accessible DNS server or whether a third party (usually an ISP) is hosting your DNS for you.

For each domain serviced by MailEnable, ensure that the following the following DNS Records exist:

A RECORD
An A record should be registered for the mail host. It associates the IP Address of the host with its host name.

MX RECORD
An MX record should be defined for each domain that is hosted under MailEnable. It allows remote mail servers to identify the host name of the mail host.

PTR RECORD
The PTR record maps an IP address of the host to its host name. The PTR record is used for reverse lookups.

Note: An MX record should be a pointer to an A record. In other words, there should be an A record that equates to the host name of the IP Address of your server.

For example, if you were setting up mail services for mailenable.com, create an A record in your DNS to publish the host name of the server. This could be named mail.mailenable.com. Then create an MX record that contains the hostname of the mail server (i.e.: the name specified for the A record).

MailEnable, like any other mail server, requires DNS entries to be modified when hosting multiple mail domains on the same server. The following articles outline how to configure DNS servers:

More information:

Setting up Microsoft DNS Server on NT 4.0 SP6.

How to install and configure Microsoft DNS Server.

How to create a new zone on a DNS Server in Windows 2000.


Concepts

This page provides an overview of MailEnable and its underlying concepts.

  • MailEnable Overview
  • MailEnable Components
  • Administration
  • Email delivery flow


MailEnable Overview

MailEnable is a powerful, scalable and cost-effective mail solution for Microsoft Windows. Built to provide a mail system based on simplicity, reliability and scalability rather than excessive and often unused functionality, MailEnable facilitates hosting and maximizes the return on your investment.

Its component-based architecture promotes customization and development, making it a perfect solution if you need to integrate with existing systems.

MailEnable has multiple services that interact in order to deliver a message to a mailbox. This interaction is done by a system of queues, which are used to move the emails around. The actual moving of the messages is done by the MTA service, which is logically the central service to the whole MailEnable system. The MTA will pick up messages waiting in a queue and move them to the queue of another service to be processed.

Click here for more information on MailEnable services and components.


MailEnable Components

MailEnable is comprised of Connectors, Agents and Services. The definitions of these components are described below.

Connectors

Connectors move mail between systems or subsystems (local or remote). A mail connector allows MailEnable to send and receive mail messages to and from external systems. MailEnable has several mail connectors: SMTP, POP Retrieval, Post office and List connectors.

SMTP connector
The SMTP connector is responsible for both receiving inbound SMTP mail and delivering outbound SMTP mail.

Post office connector
The Post office connector is responsible for delivering mail to a post office. It processes mailbox level filters, handles quotas, autoresponders, delivery events, groups and redirections.

List connector
The list connector is responsible for receiving and delivering mail to users that are subscribed to the lists.

POP Retrieval connector
The POP Retrieval connector will download mail from a remote POP server and deliver to a local mailbox.

Agents

Agents run perform specific management or operating functions for MailEnable itself. An example of an Agent is the Mail Transfer Agent. Its function is to move messages between connectors. It also processes the pickup event and global filters

Services

Services expose MailEnable functionality to external agents or programs. An example of a service is the POP3 service. This service allows mail clients to access mail from their post office.

Services allow external programs (usually email clients) to access the message store.

When a user wants to read email that has been sent to their mail server for handling, there are several mail services that can be used to retrieve the email messages so that the user can read them in their email client. These services include:
- POP3
- IMAP4
- HTTPMail
- Web mail

Administration

From an administration perspective, MailEnable is comprised of the following components.
- Post offices
- Domains
- Mailboxes
- Lists
- Groups

Post office

A post office is used to host multiple mailboxes and domains under one area. For example, to provide mail hosting for multiple companies, each company would have a post office. A post office can have multiple domains and mailboxes assigned to it. A small mail server might only have one post office. Post offices can have the same name as a domain. It is common for hosting companies to use a domain name as a post office name and to only have one domain within that post office with the same name.

Domains

Multiple domains can be assigned to a post office. At least one domain needs to be configured in order to have a valid email address.

Mailboxes

A mailbox is a repository for email. It is used to store emails for one or more email addresses. When a user connects with a mail client application (Outlook Express, Eudora, etc.), they connect to a mailbox to retrieve their email. When creating a mailbox, MailEnable will automatically create an email address for each domain in the post office, using the format mailboxname@domain. A mailbox can have multiple email addresses. This means a user only requires one mailbox to connect to, from which they can retrieve email from all their email addresses.

Email addresses

Each mailbox can have one or more email address mapped to it. It is only possible to add an email that matches an existing domain for the post office. When a mailbox is created, MailEnable will automatically create email addresses for each of the domains for the post office.

Lists

MailEnable contains a list server that enables people to subscribe and unsubscribe to a list. A list is an online discussion group or information mailout, where emails are sent out to all the members. People are able to post to the list (e.g. list@companyx.com), and the server will duplicate their email and send it out to all the members.

Groups

A group is an email address that maps to one or more other email addresses. For example, a group which has the recipient as staff@companyx.com can have 50 email addresses as members of this group. When someone emails staff@companyx.com, the email is duplicated and sent to all 50 members.


Email delivery flow

Sending mail
When mail is being sent to a non-local address, this is known as “relaying” i.e. MailEnable has to "relay" the email back out.

Requiring users to authenticate against the server prior to sending email can stop spammers from using the mail server to send email out to anyone. When email is being delivered to a local address, this is not relaying, and MailEnable will always accept this email. This is how email is received from other mail servers on the Internet, as they do not need to authenticate.

Receiving mail
When an email arrives via SMTP, the SMTP service saves this message to its inbound queue. The MTA service is constantly checking this queue for new items. When the MTA sees the message arrive it examines the message to determine where it is to go. If the MTA service determines it is to go to a local mailbox, then it will move the message to the post office connector service outgoing queue. The post office connector will be checking its outgoing queue and can then process this message and deliver it to a users mailbox.

The naming of the Inbound/Outgoing queues may be confusing initially. But think of the queues as always relative to the MTA service. So the MTA service will check all the inbound queues of the services and move messages to the outgoing queues of the services. Services only check their outgoing queue and if they need to create a message then they will do this in their inbound queue. Since the MTA service is the central service responsible for moving messages around the system, it is the logical place for all the global filters, and items such as anti-virus, Bayesian filtering, etc. (the features available are determined which version of MailEnable). Even messages arriving via SMTP and sent via SMTP are processed by the MTA service, since only the MTA can move the email from the SMTP Inbound queue to the SMTP Outgoing queue.

Utilizing different services in this way gives MailEnable a high level of flexibility, such as allowing services to be split across machines and to permit more than one type of service to be running on different servers. But this flexibility does create one hurdle for an administrator of MailEnable, and that is the problem of being able to track a message. A message being sent to a local mailbox will be logged in the SMTP logs, the MTA logs and the post office connector logs. Fortunately there are tools and monitoring software that come with MailEnable that makes this tracking easier, but understanding the queue mechanism will make administering the MailEnable server a lot easier.


Additional Resources

  • Glossary
  • Registry keys
Additional resources on MailEnable can be found under support at the MailEnable Web Site.


Frequently Asked Questions

Frequently Asked Questions (FAQ)

I am changing servers and I need a new license key, how do I get one?
Please see this article for full details: http://www.mailenable.com/kb/Content/Article.asp?ID=me020267

I've lost my registration details, how can I locate them?
Please review this article as it will assist us in locating licenses you may hold: http://www.mailenable.com/kb/Content/Article.asp?ID=me020300

How do I downgrade the version of MailEnable I have installed?
This article explains how to downgrade the version of MailEnable that you currently have installed: http://www.mailenable.com/kb/Content/Article.asp?ID=me020428

I need a copy of the invoice for my purchase, where can I obtain one?
You can retrieve a copy of the invoice from your Online Services account. The username and password will have been emailed to you when you purchased.

How do I upgrade MailEnable, can I retain all of my settings and data?
Upgrading, either minor updates, major upgrades or crossgrades are very straightforward. Your existing settings and data can all be retained. For full details, please see: http://www.mailenable.com/kb/Content/Article.asp?ID=me020040

How do I install a minor update?
Installing a minor update is the same process as upgrading MailEnable. For full details, please see: http://www.mailenable.com/kb/Content/Article.asp?ID=me020040

How much do version upgrades cost, what downtime is involved, can I roll back to the previous version?
For a detailed FAQ on upgrading, please see: http://www.mailenable.com/upgrade/

Do I have to reinstall the software after I license it?
No, once you have purchased and generated a license key, you only need to enter the license key into your existing installation.

Are there any restrictions on the evaluation that is available for download?
No, the evaluation versions available from the download page are unrestricted for the duration of the 90 day trial. Thereafter, some advanced features are disabled.

Can you send me a CD copy of the software?
We do not supply CD's of the software, MailEnable is only available in downloadable format from our website here; http://www.mailenable.com/download.asp You are free to burn copies of the software to CD if you wish.

I received an email "Congratulations, your new e-mail account has been activated and is ready for use." Where did this message come from?
This message may have been sent to you because your ISP has activated a new mail account for your using MailEnable server software. They may have done this without you knowing. You should check this with your ISP. Just so you know how the message is generated, please see: http://www.mailenable.com/kb/Content/Article.asp?ID=me020027 This message may also be sent out if your mail service provider or your ISP made a change to your mailbox settings.

How do I keep a copy of all incoming/outgoing mail?
This can be done by defining filters within MailEnable. For more details, please see: http://www.mailenable.com/kb/Content/Article.asp?ID=me020414

What antivirus programs are compatible with MailEnable?
Please see: http://www.mailenable.com/kb/content/view.asp?ID=ME020144

What anti-spam features does MailEnable Enterprise/Professional have?
Please see http://www.mailenable.com/features/antispam.asp

How effective are the inbuilt anti-spam mechanisms?
Some of the methods of anti-spam rely on third party information, such as reverse DNS blacklists and SPF (the first relies on people maintaining DNSs with the IP addresses of open relays, spammers, etc., and SPF relies on people adding SPF records for their domains). The Bayesian filter relies on how you train it with good and bad emails - so it can vary in effectiveness. The effectiveness of other methods such as checking for PTR records, requiring senders to use valid domain, etc does depend on how the spammer is sending.

If you are concerned as to whether the product will suit your purpose, there is a generous 90 day trial period in which to evaluate the software before committing to buying it. There are also other 3rd party solutions available that will work with MailEnable to reduce spam, such as anti-spam SMTP gateways. These have the advantage of working with all versions of MailEnable. Please see: http://www.mailenable.com/kb/Content/Article.asp?ID=me020344

I am getting lots of spam, how do I prevent this?
Please see this article on reducing spam: http://www.mailenable.com/kb/Content/Article.asp?ID=me020008

How does the MailEnable Reseller program work?
Please see this article for more details http://www.mailenable.com/kb/Content/Article.asp?ID=me020313

I want to become a reseller, but the form is not accepting my email address?
You need to purchase at least one copy of MailEnable first before you can apply to become a reseller. Once you have purchased, you will be able to use the email address you used to purchase to fill in the reseller form.


MailEnable Online Services

MailEnable Online Services is provided to registered MailEnable customers.

Online Services provides advanced support tools, but it also allows the management of license keys, tracking of support requests. Registered customers can also use Online Services to obtain sales receipts or invoices for purchases.

As a registered MailEnable customer, a login to Online Services is provided, using the email address used to register the copy of MailEnable as your username.

MailEnable Online Services can be accessed at http://www.mailenable.com/OnlineServices

If you do not know your password, click on the "Forgot your password" link to have the password mailed to you.


Registry Keys

Below are some advanced registry key settings that are not available through the Administration application. Only change these settings if you understand what you are doing.

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

HKEY_LOCAL_MACHINE\Software\MailEnable\MailEnable\Connectors\SMTP\

Registry Key | Default Value | Description
Disable Inbound Delivery | 0 | Stops mail from being delivered internally.
Disable Outbound Delivery | 0 | Stops mail from being delivered externally.
Force Inbound Local Resolution | 1 | Checks the local machine for a matching email address.
Inbound Force Sender Resolution | 1 | Checks to see if the sender is a valid local email.
Inbound Maximum Header Length | 16 | The maximum size (in bytes) that the header can be.
Maximum Allowed Received Headers | 100000 | The maximum number of addresses that can be sent to internally.
Maximum Inbound Domains | 150 | The maximum number of domains that can be sent to with one email message.
Maximum Inbound Recipients | 300 | The maximum number of email addresses a single email message can be sent to.
Maximum Outbound Domains | 100 | The number of domains for one message before the message gets split.
Maximum Recipients Per Domain | 256 | The maximum number of email addresses a single email message can be sent to for one domain.
Outbound MX Server List Limit | 32 | The maximum number of MX records that will be checked by the SMTP connector.
Post Send Message Wait | 1 | The time that a message sits in the inbound queue before it is delivered.


Glossary

Address Map
An address map is used to define source and target mail exchanges between Connectors by the Mail Transfer Agent. For example, mail sent to the SMTP address [SMTP:Jones@mailenable.com] is likely to have an address map to the postoffice address [SF:MailEnable/JONES].
Agents
Agents run perform specific management or operating functions for MailEnable itself. An example of an Agent is the Mail Transfer Agent. Its function is to move messages between connectors.
Connector
Connectors facilitate moving mail between systems or subsystems (whether they be local or remote).
DNS
Domain Name Server (or System) is a database of Internet names and addresses which maps domain names to the official Internet Protocol (IP) address and vice versa.
Group
A Group represents a logical combination of mail addresses addressable under a single mail address. Any mail addressed to the group is destributed to all the members belonging to that group.
IP
Internet Protocol. A network and transport protocol used for transmitting data over the Internet. Every machine on the internet has its own IP number/address.
List
A List is much like a group. The major difference between a list and a group is that lists are subscription based, can be moderated, and can have headers and footers applied to them.
Mailbox
A mailbox is a repository for email. It it used to store emails for one or more email addresses. When a user connects with a mail client application (Outlook Express, Eudora, etc.), they connect to a mailbox to retrieve their email.
MTA
A Windows Service that exchanges internal messages between MailEnable Connectors.
Post office
A postoffice is used to host multiple mailboxes and domains under one area. For example, if you were providing email hosting for multiple companies, you would create a postoffice for each company. Within the postoffice you can assign multiple domains and mailboxes.
Provider
Providers are used by Connectors, Agents and Services to allow them to read their configurations. An example of a provider is the Tab Delimited Address Map provider. This provider reads the address map that is used to determine mail routing between connectors. In order to allow the applications to read configuration data from different sources, different providers would be used. For instance, SQL Server would have its own providers.
Recipient
The address to where the email is destined.
Services
Services expose MailEnable functionality to external agents or programs. An example of a service is the POP3 service. This service allows mail clients to access mail from their postoffice. MailEnable employs standard Windows Services that make it compatible with Windows NT/XP/2000.


Licensing MailEnable

MailEnable is licensed on a per server basis. In order to avoid any restrictions on the features of MailEnable a license key needs to be applied to the installation. There are two ways to register.

For computers connected to the Internet

When MailEnable is installed, a registration application is made available under the MailEnable program group. This registration application queries the system and submits registration details to the licensing server. The server will need to be connected to the Internet to use this utility to register MailEnable. This utility provides a number of payment mechanisms ranging from online-credit card payments to faxed purchase orders. If registering using online credit card details, MailEnable will immediately acquire a registration key and register it with the server. However, if other payment mechanisms are selected, it simply lodges the registration request with the payment server (assuming that the payment will be reconciled by fax or purchase order). Once MailEnable receives notification of payment mechanism, the license key will be generated and mailed to the nominated e-mail address.

For computers not connected to the Internet

If the server to license is not connected to the Internet, MailEnable can be ordered via MailEnable's web site. Once this has been processed the license key will be generated and sent to the designated e-mail address. The license key must be manually entered into the registration utility (located under the Mail Enable program group on the server).

Registration key retrieval method

Retrieve a new license key by using our online services website at the following address:

http://www.mailenable.com/OnlineServices

Here, use the email address that was used for the registration as the login, and the password that was created and emailed out when the product was purchased.

Alternatively, use the Registration Wizard on the new server as described below to get the updated key:

In order to license MailEnable Enterprise or Professional Edition, run the Registration Wizard application that was added to the Windows Start menu when the product was installed (under Programs>Mail Enable). This is to personalize the registration key code. Internet access is required to request the license key using the Registration Wizard.

If you do not have Internet access for the MailEnable server, please email the output from the Diagnostic Utility to sales@mailenable.com as this output contains the information necessary to generate a license code for the server.

When using the Registration Wizard, follow these steps:

1. Select Apply for a Registration Key via the Internet, select Next
2. Enter your details, select Next
3. Select Request License Key, select Next
4. Read the confirmation and select Next

If you rename your computer, or install MailEnable on a new server, you will need to request a new license key.


Requesting a new license key for a server

If you rename your computer, or install MailEnable on a new server, you will need to request a new license key. To request a new or updated license key, you will need to access Online Services via the MailEnable Web Site (details for logging in to Online Services should have been mailed to you when you purchased MailEnable; otherwise, your username is the e-mail address that was used to register your copy of MailEnable).

Option 1: Within Online Services, view the details of an existing key and change the computername and number of CPUs to match the new server details.. This will generate an updated license key that you can then enter manually with the MailEnable Registration Wizard. (The registration utility can be found under the Mail Enable program group or as MEPReg.exe in the MailEnable BIN directory).

Note: The MailEnable Diagnostic Report will report the computername and number of CPUs as the 'MailEnable Instance ID' under the Version Infomation Section. The format of the instance ID is COMPUTERNAME[NumCPUs].

Note: When entering the CPU number, be sure to not to exceed the 3 issue count limit. If this occurs you will not be able to change the CPU number and you will have to contact support for assistance.

Option 2: As an alternative, within Online Services, under 'Issued Licenses' select the old license key and 'Release' it. Then use the Registration Wizard (The registration utility can be found under the Mail Enable program group or as MEPReg.exe in the MailEnable BIN directory) to request a new license key and the released key will be replaced with the details of the new request. The advantage of this approach is that the computer name and number of CPUs are detected automatically for you when you submit your request. (N.B. You must use your online services login as the e-mail address when requesting the new license key with the Registration Wizard.) .

Option 3: If you still have problems, send your Diagnostic Report as a support request via: http://www.mailenable.com/support


About MailEnable

Support Overview

Support tokens are required when requesting technical support in relation to MailEnable products. When you register MailEnable Professional or Enterprise Editions, you will receive 2 complimentary support tokens that can be used to lodge technical support requests. These tokens will expire 3 months after registration. Thereafter, support tokens must be purchased.

As MailEnable Standard Edition is provided free, all support tokens must be purchased.

All support queries must be lodged via our ticketing system at: https://www.mailenablecorp.com/support/step1.asp

Standard Class B support tokens, priority Class A support tokens and bundled packs of support tokens can be purchased at a reduced rate. For more details on purchasing support tokens, please click here.

Once a purchase has been made (either the product or support) and your email address is registered with MailEnable, you will be given a log-in to our Online Services site to manage and track progress on support tickets, tokens, orders, and other items.

For full terms and conditions, please see MailEnable's Support Policy


Troubleshooting

This page provides online assistance on MailEnable diagnostics and troubleshooting.

  • Troubleshooting
  • Diagnostics Utility
  • Directory Management Utility
  • Command Line Send Utility
  • System Tray Utility (METray)
  • Activity Monitor
  • MEInstaller
  • Message Tracking Utility
  • Queue Overview
  • Running Services in Interactive Mode
  • Backup Utility
  • Inspecting log files


Basic Troubleshooting

Troubleshooting

Service will not start
If a service will not start, the likely cause is that the port the service is allocated to is in use by another application. The common problem is that of a conflict with Microsofts SMTP server that is installed by default when you install IIS. Make sure the Simple Mail Transport Protocol (SMTP) service is disabled in the Services control panel.

MailEnable Receives email, but does not send any
The DNS you entered is probably incorrect. MailEnable needs a valid DNS in order to resolve a domain name to an IP address. Make sure the DNS IP address is a valid, working address.

MailEnable send email, but does not receive any
Make sure you have an MX record in the DNS for your domain. This is how remote machines find out your IP address.

MailEnable Cannot Resolve Domain Names
MailEnable requires access to a Domain Name Server (DNS) in order to resolve a domain name to an IP address.

Unsuccessful sends to HotMail, Yahoo, etc. but sending to others works
Some larger mail servers require that you have a reverse entry in your DNS. This is done to avoid the large amount of spam these places receive.

Mail Clients keep asking to enter password
This can be caused by incorrect username/password, a configuration error on the client or a lock on the users mailbox directory.

More Information on troubleshooting mailenable can be found through the MailEnable Knowledge Base.


Diagnostic Utility

The MailEnable Diagnostic Utility checks your installation for system errors or warnings. The diagnostic utility also reports on your current system configuration. In most cases, the diagnostic file should provide you with enough information to determine whether your server is configured properly or to diagnose system faults.

The MailEnable Diagnostic Utility can be found in the MailEnable Program Group or under the 'Diagnose' icon in MailEnable's Management Console.


Message Tracking

Directory Management Utility

The Directory Management utility provides a simple interface for adding, editing and managing global contacts for a post office.

Current directory
Select the directory to edit from the drop down box.

Add directory entry
Create a directory entry for the selected directory. Includes details such as first name, surname, street address, work telephone, company, department etc.

Edit directory entry
Edits the selected directory entry.

Remove directory entry
Removes the selected directory entry.

Import from address map
Imports email addresses from the post office address map into the post office directory.


Command Line Send Utility (MESend)

MailEnable Command Line Send Utility is available in the MailEnable BIN directory (MeSend.exe). This utility allows you to send email via SMTP.

Syntax: MESend /H:{Mail Host} /F:{From Address} /T:{To Address} /S:{Subject} /A:{Attachment Local FilePath} /N:{Attachment Display Name} /B:{Message Body}

Example: MESend /F:User@mailenable.com /T:User@mailenable.com /S:Message Subject Line /A:C:\test.txt /N:test.txt /B:Message Body /H:127.0.0.1

Note: At least one recipient must be supplied.


System Tray Utility / METray

System Tray Utility/METray (Professional and Enterprise Editions only)

The MailEnable System Tray (METray.exe) utility provides monitoring, reporting and automatic updates for MailEnable.

Double clicking the METray icon will bring up the System Overview Screen as shown.

Right clicking the icon shows a menu with options as detailed below.

System summary

System reporting and monitoring can be enabled and disabled from within the System Summary. Tick the box to enable the feature or untick the box to disable the feature and click ‘Apply’. All MailEnable Services will need to be restarted or a reboot is required for these changes to take effect.

The System Summary provides details on the connectors (Post office, List and SMTP) showing polling intervals and queue lengths. These details are also viewable in the System Overview diagram.

System overview

The system overview screen provides a diagrammatic representation of the MailEnable system. The operational status of each of the services (POP, IMAP, web mail, HTTPMail) can be seen in the diagram. The polling intervals and length of the inbound and outbound queues of each of the connectors can also be seen in the diagram. Clicking on the inbound and outbound queues in the diagram will produce a window with a list of the current connections, including the client IP address, remote domain, sender etc. POP and IMAP connections can be viewed by clicking on each of these services in the diagram. These connections can also be viewed under 'Connections' in the METray menu.

The number of lookups and detections for antivirus scanning, Bayesian filtering, DNS blacklisting and content blacklisting are listed at the top of the System Overview window.

Ticking the box in the bottom right hand corner of the application window shows statistics since the services were restarted.

Diagnostic report

Provides a shortcut to generate a diagnostic report for MailEnable (this Diagnostic Report can also be accessed via the Administration Program or MailEnable Program Group).

Updates

Provides an automatically updated list of any major/minor updates or hotfixes that have been released for MailEnable. These updates can be selectively downloaded from the list.

Connections

Monitors incoming and outgoing connections for SMTP and shows a list of the current connections including the client IP address, remote domain, sender etc. A similar list of connection details for POP and IMAP services can be viewed also. Connections can also be viewed by clicking on the queues or services in the System Overview diagram.


Activity Monitor

The MailEnable Activity Monitor (MEActivityMonitor) allows MailEnable System Activity to be watched as it occurs. This utility is useful for tracking messages as they pass through the MailEnable system.

The tool works by monitoring file I/O to the Activity and Debug logs on the server. Ensure that activity and debug logging are enabled whilst using this utility.

To avoid unnecessary consumption of system resources, this utility should only be run whilst interactively tracking MailEnable system activity.


MEInstaller

The MailEnable Installer (MEInstaller) utility is an application that allows various MailEnable configuration options to be reset without requiring a reinstall of the entire product. The program is located in the Mail Enable\bin directory and has the filename MEInstaller.exe. The following tasks can be performed:

Common Installation
- Creates the IME_USER Windows user if it does not exist (and adds to Users group)
- Sets the policies for IME_USER
- Creates the IME_ADMIN Windows user if it does not exist (and adds to Users group)
- Sets the policies for IME_ADMIN
- Sets the permissions on the Mail Enable directories for IME_ADMIN
- Sets the permission on required system files for IME_ADMIN and IME_USER

Web Mail Installation
- Creates the IME_USER Windows user if it does not exist (and adds to Users group)
- Sets the policies for IME_USER
- Resets the password for IME_USER to the entered one
- Creates the IME_ADMIN Windows user if it does not exist (and adds to Users group)
- Sets the policies for IME_ADMIN
- Resets the password for IME_ADMIN to the entered one
- Creates the Mail Enable package in COM+/MTS under the IME_ADMIN account
- Resets the package identity of Mail Enable Administration to IME_ADMIN
- Creates the MEWebmail virtual directory under the selected IIS site
- Sets the permissions on the Mail Enable bin directory for IME_ADMIN
- Sets the permissions on the Mail Enable web mail directory for IME_ADMIN & IME_USER
- Resets all MEWebmail virtual directories to use the new password
- Resets all the MEAdmin virtual directories to use the new password
- Sets default document and session state for selected website

WebAdmin Installation
- Creates the IME_USER Windows user if it does not exist (and adds to Users group)
- Sets the policies for IME_USER
- Resets the password for IME_USER to the entered one
- Creates the IME_ADMIN Windows user if it does not exist (and adds to Users group)
- Sets the policies for IME_ADMIN
- Resets the password for IME_ADMIN to the entered one
- Creates the Mail Enable Administration package in COM+/MTS under the IME_ADMIN account
- Resets the package identity of Mail Enable to IME_ADMIN
- Creates the MEAdmin virtual directory under the selected IIS site
- Sets the permissions on the Mail Enable Web Mail directory for IME_ADMIN & IME_USER
- Resets all MEWebmail virtual directories to use the new password
- Resets all the MEAdmin virtual directories to use the new password
- Sets default document and session state for selected website

Re-Register MMC Components
Reregisters the MailEnable administration MMC DLLs

Set IIS Application Isolation Levels (Low > In Process)
- Sets the MEAdmin and MEWebmail virtual directories application level to be low

Set IIS Application Isolation Levels (Medium >Pooled)
- Sets the MEAdmin and MEWebmail virtual directories application level to be medium

Set IIS Application Isolation Levels (High >Isolated)
- Sets the MEAdmin and MEWebmail virtual directories application level to be high

Clear System Blocking Files
- Removes all the blocking files from the Mail Enable\Config directory


Provider Migration Utility

Provider Migration Utility (Enterprise Edition only)

Properties
Initialize
Populate
Errors
Patch DB


Message Tracking

The message routing trace utility provides an interface to track messages through MailEnable. It is a useful tool to determine whether a message was accepted by the server and as to where it was directed to.

Connector (mandatory)
From the drop down box, select the connector to trace the original message from.

Date (mandatory)
Date is formatted in YYMMDD format (e.g. 5th September 2006 = 060905)

Sender (optional)
Enter the sender’s email address

Recipient (optional)
Enter the recipient’s email address

After filling in these fields and selecting ‘Search’, a list of messages matching the criteria specified will be displayed. By selecting the Date/Time, Message ID or Data column headings, it is possible to sort the columns.


Queue Overview

The Queue overview lists the number of messages in the outbound SMTP queue by the destination domain name.


Running MailEnable Services Interactively

Notice of Caution: Running Services interactively should only be done when trying to debug or troubleshoot MailEnable. Mail Services can be run interactively in debug mode allowing debug messages to be written to the screen.

The following instructions outline how to run the services in debug mode.

Ensure that you have stopped the service you wish to run interactively using the Service Control Manager or the MailEnable Administration Console.

Open the regedit and move to the HKEY_LOCALMACHINE\SOFTWARE\Mail Enable\Mail Enable\SMTP\Debug Mode Key

Set the value of this key to 1 (this tells the server to write debug messages to the console rather than to a file).

Then, run the Windows command prompt and type in the following commands.

cd \Program Files\Mail Enable\Bin

MESMTPC -debug

When you have completed the debug session, you can close the console window.

Important: Make sure that you set this setting back to 2 when you have completed running the server in debug mode.

You should restart the approriate MailEnable services using the Administration Console or Service Control Manager.


Backup Utility

The Backup Utility allows for both backup and restore of MailEnable to local disk. The Backup Utility is a basic tool that copies the configuration data and email data to another location in case of server failure. It will not back up the configuration data if MailEnable is configured to use MySQL or Microsoft SQL Server for configuration storage. It is recommended that you include the MailEnable directories as part of the normal server backup processes you should have in place. Since the email data is stored in plain text files, there is no special process to follow and they can be handled like any other files.

Backup
To backup MailEnable, select a descriptive name for the backup and select “Backup”.

Restore To restore an existing backup, select the back up set name from the drop down box and select “Restore”.

Calculate size Calculates the maximum storage size required in the backup location to successfully backup the complete configuration.


Inspecting log files

Log files are an important aspect of any mail server. You need to understand what the various log files that MailEnable produces in order to find and rectify any problem. Fortunately, MailEnable can produce a large amount of logging information to help you isolate a problem.

MailEnable usually can produce 3 logs for each service. The are called W3C, Activity and Debug logs. The W3C log has all the information about what is passing to and from the mail server in W3C extended log file format ( www.w3c.org). The Activity log will display all the information that is passing to and from the server. The Debug log is used to display information about what the service is actually doing.

When you first think you are having a problem with email, there are some quick steps to resolve the problem, which basically involve examining the various log files. If you follow the guidelines below to see which log file will help you, issues will get resolved faster.

Check the Debug log file first. This will more likely have information about the error that the service has encountered. The Debug log will show errors such as DNS failures, file errors, send problems, etc.

If you cannot see the issue in the Debug log, it is likely that it is not a program error, but an error in conversation between the servers (i.e. the server may be trying a command that isn't supported).


Configuring Eudora

For assistance in setting up Eudora mail clients, please refer to the MailEnable web site.


.topic 1000
Enter the domain name here. This needs to be the full domain name that you will accept emails for (don't add www in front of this).

.topic 1001
This will disable all emails for this domain.

.topic 1002
All email sent to abuse@domain will be forwarded to this email address or local mailbox.

.topic 1003
All email sent to postmaster@domain will be forwarded to this email address or local mailbox.

.topic 1004
A catch-all address will catch all email sent to the domain, whether or not an email address has been created. You may receive more spam if you enable this option.

.topic 1005
Select in order to allow MailEnable to forward all email for this domain to another mail server.

.topic 1006
Click this to add an address of a mail server.

.topic 1007
Click this to remove the selected mail server address.

.topic 1008
Click this to move the selected domain up in the attempt list.

.topic 1009
Click this to move the selected domain down in the attempt list.

.topic 1010
A list of mail server that the email for this domain will be sent to. Each one will be tried until one is successful.
.topic 1011
List of domains which cannot send email to the current domain.

.topic 1012
Click this to add a domain to the blacklist.

.topic 1013
Click this to remove the selected domain from the blacklist.

.topic 1014
Select to give newly created mailboxes a size limit.

.topic 1015
This is the maximum size (in kilobytes) that newly created mailboxes can have. When the mailbox is at its limit, it will not be able to receive any more emails.

.topic 1016
The name of the group.

.topic 1017
The domain of the group. This is to determine the email address of the group. You can only select from the available domains for the current post office.

.topic 1018
Select to disable the group. While disabled, the group cannot be used.

.topic 1019
The email address for the group. When you wish to send an email to the group, this is the address to use.

.topic 1020
Name of the mailbox.

.topic 1021
This is the username for email client to use when connecting to MailEnable. The username is formatted as mailboxname@postofficename.

.topic 1022
The password that will be used to authenticate use of the mailbox. This can be used for various connectors or services such as SMTP or POP3. It is best to use a alpha-numeric password to protect the email.

.topic 1023
Clicking this will create a random alpha-numeric password for the mailbox.

.topic 1024
Select this to give the mailbox a size limit. When the mailbox has reached its maximum size, it will not be able to receive more email.

.topic 1025
The maximum size of the mailbox before mail can no longer be delivered to it.

.topic 1026
Selecting this will disable the username/password combination. e.g. POP3 and authenticated SMTP will not be available for the mailbox and email addresses. The mailbox will still be able to receive email.

.topic 1027
Selecting this will disable the mailbox from receiving email.

.topic 1028
Click this to select a deletion method for emails in the mailbox.

.topic 1029
A list of the emails that are mapped to this mailbox. Mailboxes can have one or more email addresses.

.topic 1030
Click this to add an email address for this mailbox.

.topic 1031
Click this to remove the selected email from this mailbox.

.topic 1032
The list of all the messages in the mailbox Inbox. Double-click a message to view the contents.

.topic 1033
Select to enable redirection for the mailbox. This means that all email coming to this mailbox will be sent to the email addresses in the list. The mail will not appear in the mailbox Inbox.

.topic 1034
A list of all the email address the email for this mailbox will bo forwarded to.

.topic 1035
Click this to add an email address that will receive a copy of all the email for the mailbox.

.topic 1036
Click this to remove the selected email address from the list.

.topic 1037
Enables default post office for logins. Avoids having to use @postofficename for usernames.

.topic 1038
The post office to use as the default for usernames.

.topic 1039
When selected will automatically generate an email address for each domain in a post office when a mailbox is created.

.topic 1040
Path to the configuration directory.

.topic 1041
Click to select the configuration directory.

.topic 1042
Path to the bad mail directory.

.topic 1043
Click to select the bad mail directory.

.topic 1044
Path to the data directory.

.topic 1045
Click to select the data directory.

.topic 1046
When enabled will automatically reply to all messages with the email below.

.topic 1047
The message that will be sent as a reply to all incoming messages to this mailbox.

.topic 1048
As well as being redirected, a copy of the incoming email will be kept in the mailbox.

.topic 1049
This setting allows you to define whether the Post Office can use Windows Authentication.

.topic 1050
You should select this option if the name of the Post Office matches the desired Windows Domain Name.

.topic 1051
This setting allows you to define the Windows Domain Name that the will be used for authenticating this Post Office’s Mailbox users. If you wish to authenticate against the local machine, you can either leave the Domain Name blank or enter a single period (.).

.topic 1052
The name of the Windows Domain name to authenticate against.

.topic 1053
This option configures MailEnable to use UPN style logins, rather than legacy Windows NT style logins. Both login mechanisms work equally as effective, except Active Directory allows you to host multiple domains in its hierarchy.

.topic 1054
This option allows accounts to be created as users attempt to Authenticate. If a user enters valid Windows credentials, their mailbox is created automatically. By enabling this option, you can immediately provide access to mailboxes for those who have validated against the specified.

.topic 1055
Enable or disable Windows authentication for all hosted post offices.

.topic 1056
Please refer to the MailEnable Configuration Guide for further details on this option.

.topic 1057
Selecting this will enable Public folder support for this post office. Please refer to the MailEnable Configuration Guide for further details on how to create Public folders.

.topic 1058
The maximum number of concurrent connections the Remote Administration service will allow.

.topic 1059
The port number the Remote Administration service listens on. Default is 8081.

.topic 1060
Select this to have the Remote Administration service listen to connections on all IP addresses configured on the local machine.

.topic 1061
Select this to have the Remote Administration service only listen to connections on the IP addresses selected in the list below.

.topic 1062
Path to the quarantine directory.

.topic 1063
Click to select the quarantine directory.

.topic 2000
The maximum number of threads that the SMTP service will use to send email.

.topic 2001
The maximum number of threads that the SMTP service will receive email on.

.topic 2002
How often a message send is attempted before the email is bounced.

.topic 2003
How long the SMTP service will wait for a response from a remote mail server before disconnecting.

.topic 2004
How often the SMTP service polls the queue directory for mail messages to send. This is measured in seconds.

.topic 2005
The duration of time a message will stay in the outbound queue before MailEnable gives up and moves the message to the Bad Mail directory. If the message has hit the maximum retry count, it will also be moved to the Bad Mail directory, even if the failed message lifetime has not been reached.

.topic 2006
This is the duration of time between failing to send a message, and when it is next tried. This time is measured in hours.

.topic 2007
The list of SMTP commands you are able to disable are shown here. For example, you may wish to disable the EXPN, which displays all the emails of users in a group, or VRFY, which will allow someone to confirm an email address on the system.

.topic 2008
In order for MailEnable to send email, you need to enable Mail Relaying. Otherwise MailEnable will only be able to receive email. There are four options available to limit those who are able to send mail out through your SMTP server. You are able to select any combination of the three in order to best meet your needs.

.topic 2009
Select this option to enable SMTP authentication. Your users will need to enable this in their mail client application. It is recommended that you have this option turned on, but make sure you have informed your clients that they need to turn on SMTP authentication.

.topic 2010
Click this to select what username and password method is used for clients authenticating against MailEnable. You can select between using the MailEnable database, the Windows user database, and a generic username and password.

.topic 2011
Select this option if you wish users whose IP address matches those in the priviledged list to be able to send email out.

.topic 2012
Click this to select the IP addresses that can send out email via MailEnable.

.topic 2013
Select this option if you wish to allow those users who have their 'From' address as a valid email address on the MailEnable server to be able to send email out.

.topic 2014
Select this to enable logging.

.topic 2015
Determines the format of the log files for the MailEnable SMTP service.

.topic 2016
Click this to change the configuration options for the log type you have selected.

.topic 2017
Select this to enable activity logging.

.topic 2018
The path where the activity log will be saved.

.topic 2019
Click this to select a directory where the activity log will be saved.

.topic 2020
Select this to enable debug logging.

.topic 2021
The path where the debug log will be saved.

.topic 2022
Click this to select a directory where the debug log will be saved.

.topic 2023
Select to force all outbound email to be sent to one server.

.topic 2024
The address of the mail server you wish to send all email out through.

.topic 2025
This should be the domain name of the server you have installed MailEnable onto, or the default domain for your configuration.

.topic 2026
The DNS that the local machine uses. If using more than one DNS then separate the addresses with a space character. Use the DNS that you have configured for your local network. Remember that this is not necessarily the DNS of where your domain name is registered.

.topic 2027
The address from which bad mail notifications are sent from. When MailEnable sends out email such as message delivery delays, or delivery failures, it will use this address as the "from" email address. Usually you would use postmaster@localdomainname.com (substitute your domain here).

.topic 2028
Select this to impose a limit on the size of messages that MailEnable will receive.

.topic 2029
Entering a value here will inform remote mail servers and email clients of the maximum size of an email that should be sent to the server. The size is represented in bytes. The value may be ignored by clients or remote mail servers.

.topic 2030
Determines the port the SMTP service is running on. The default is 25.

.topic 2031
When a user is sending mail to MailEnable, this option will check the 'From' address in order to verify the domain the email is coming from. This is used to stop people abusing the mail server by using incorrect information. The majority of people who use an incorrect 'From' address are spammers. This may affect valid email from incorrectly configured clients, so you should monitor your logs more often.

.topic 2032
The Access Control feature allows you to specify who can or cannot connect to your email server. You can specify a list of IP addresses that are either banned from connecting, or are the only ones allowed to connect.

.topic 2033
You are able to select the IP addresses that the SMTP service will be bound to. On a multi-homed machine you may only wish to listen to connections on particular IP addresses.

.topic 2034
Select this to have the SMTP service listen to connections on all IP addresses configured on the local machine.

.topic 2088
Select this to have MailEnable only listen to connections on the selected IP addresses from the list below.

.topic 2035
Selecting this option will stop MailEnable from generating delivery failure messages for the intended recipient of the failed email.

.topic 2036
Stops emails messages to users telling them that an email message has been delayed in delivery.

.topic 2037
The Alternate Catch-All header allows you to specify the name of the message header field that is used to record any recipients that were delivered to the Catch-All account.

.topic 2038
This enables or disables Reverse DNS Blacklisting for the SMTP Connector.

.topic 2039
The name of the preset service you are currently viewing details for.

.topic 2040
Indicates whether the currently selected service is enabled.

.topic 2041
This allows you to define whether you wish to refer your lookup request to the service providers DNS Zone or to simply query a DNS Host for an entry. Most implementations of DNS Blacklists require a Zone lookup.

.topic 2042
This is the name of the DNS Zone or the IP Address of the DNS host that should be queried.

.topic 2043
When the remote host or zone is queried, it may return one or more DNS Record types. Most implementations return an A record, but other implementations may return NS, PTR or MX records.

.topic 2044
You are able to add your own preset by clicking here.

.topic 2045
You are able to remove any added preset by clicking here.

.topic 2046
Will allow the SMTP service to listen on another port at the same time.

.topic 2047
The alternate port number to listen on.

.topic 2048
Select this if you wish to force outbound email to be sent on a selected IP address.

.topic 2049
The port the remote mail server is listening on. 25 is the default.

.topic 2050
Select this option if the remote mail server requires a username and password to send to.

.topic 2051
The username for the remote mail server.

.topic 2052
The password for the remote mail server.

.topic 2053
Select this option if you wish to allow the smart-hosts you have configured for individual domains to override the SMTP outbound smart-host.

.topic 2054
Selecting this option will ensure that MailEnable rejects email if the SMTP service cannot find a PTR DNS record for the domain in the 'From' envelope address. This prevents people (spammers) from abusing the mail server.

.topic 2055
Selecting this option will force clients who use SMTP authentication to use a 'From' address which the server is aware of. It helps stop clients from using fake addresses.

.topic 2056
Selecting this option will ensure that the IP address of the client will not be added into the email headers when the SMTP service accepts the email. Instead the IP address of the email headers will be replaced with 127.0.0.1.

.topic 2057
Selecting this option will mean that unauthenticated senders are required to have a PTR DNS record for their IP address, in order to send email to the server.

.topic 2058
Allows the SMTP service to accept email that use IP addresses in place of domain names. The IP addresses must be configured on the server, otherwise they must be added in with the 'Advanced' button.

.topic 2059
By default domain literals will accept email to IP addresses specified on the server. Use this to add extra IP addresses.

.topic 2060
Will use an alternate welcome message to hide the fact that the server is running MailEnable.

.topic 2061
The welcome message to use for the SMTP service.

.topic 2062
The maximum number of recipients the server will accept per email.

.topic 2063
When the number of failed SMTP commands reaches this number the SMTP service will drop the connection.

.topic 2064
Selecting this option will ensure that the IP address of the client trying to connect will be added to the list of denied addresses in the Access Control SMTP options, when the connection is dropped.

.topic 2065
Puts a hard limit on the size of emails that MailEnable is sending to remote mail servers. If the emails cannot be delivered then they will be returned to the sender (or sent to the bab mail directory if the email is system generated).

.topic 2066
Adds the Message-ID and Date headers for emails if the sender has authenticated.

.topic 2067
The number of minutes before a message is retried.

.topic 2068
The number of minutes before a message is retried for the second time.

.topic 2069
The number of minutes before a message is retried for the third time.

.topic 2070
The number of minutes before a message is retried for subsequent times.

.topic 2071
Selects how often delay notifications are generated.

.topic 2072
The host name of your mail server. If a host name has been specified for an IP address on your server, then that value will override this host name.

.topic 2073
Selecting this will force each received inbound message to be under the limit size. If a received message is over the limit then it will be deleted and an error returned to the remote mail server or email client that is trying to send it.

.topic 2074
Select this option if you wish to use any existing POP authentication credentials prior to attempting SMTP authentication. Any successful attempts to authenticate against the POP server will result in MailEnable using those authenticated credentials instead of SMTP authentication, for the duration of time specified below.

.topic 2075
The duration of time in which MailEnable will remember the IP address of the client who has successfully authenticated against the POP server. This value should be greater than zero.

.topic 2076
Selecting this option will stop all catchalls from working. Catchalls for domains will cause your email server to collect a lot more email and can cause your server to relay spam (i.e. if you redirected a catchall to a remote email address).

.topic 2077
Will restrict the number of recipients per incoming email.

.topic 2078
Select this option if you wish to enable SPF detection. Refer to the MailEnable Configuration Guide for more information on SPF detection.

.topic 2079
Select this option if you wish MailEnable to add the Received-SPF header to all unauthenticated emails arriving via SMTP.

.topic 2080
Select this option if you do not wish MailEnable to perform SPF detection on local IP addresses.

.topic 2081
Select this option if you wish MailEnable to use the SPF local policy defined by you.

.topic 2082
Please refer to the MailEnable Configuration Guide for details of how to specify the local policy.

.topic 2083
Click to add an SMTP address to the blocked list.

.topic 2084
Click to remove the selected SMTP address from the list.

.topic 2085
Select this option to enable the whitelist of IP addresses.

.topic 2086
Click to add an IP address to the whitelist.

.topic 2087
Click to remove the selected IP address from the whitelist.

.topic 2089
The maximum size that any email sent from this server can be, in bytes.

.topic 3001
Determines the port the POP service is running on. The default is 110.

.topic 3002
The maximum number of threads the POP service will use to deliver mail. This is not related to the number of concurrent connections.

.topic 3003
The duration of inactivity time before the POP service disconnects a client.

.topic 3004
MailEnable allows you to specify alternate charcaters to @ for the username. Enter the list of characters such as #$% (don't put spaces or commas between the characters).

.topic 3005
APOP is an authentication method for clients who are connecting to the mail server to read their mail. It encrypts the password sent by the email client. If you enable this, make sure your mail clients support APOP and that it is turned on in the options.

.topic 3006
The Access Control feature allows you to specify who can or cannot connect to the POP service. You can specify a list of IP addresses that are either banned from connecting, or are the only ones allowed to connect.

.topic 3007
Select this to have the POP service listen to connections on all IP addresses configured on the local machine.

.topic 3008
You are able to select the IP addresses that the POP service will be bound to. On a multi-homed machine you may only wish to listen to connections on particular IP addresses.

.topic 3009
Select this to enable logging.

.topic 3010
Determines the format of the log files for MailEnable SMTP service.

.topic 3011
Click this to change the configuration options for the log type you have selected.

.topic 3012
Select this to enable activity logging.

.topic 3013
The path where the activity log will be saved.

.topic 3014
Click this to select a directory where the activity log will be saved.

.topic 3015
Select this to enable debug logging.

.topic 3016
The path where the debug log will be saved.

.topic 3017
Click this to select a directory where the debug log will be saved.

.topic 3018
The duration of delay between each poll of a remote mail server.

.topic 3019
The duration of time to keep the history of messages downloaded from each server.

.topic 3031
Selecting this will allow the POP service to listen on an alternate port. This is usually done to cater for clients who may be on connections where their outbound port 110 has been blocked.

.topic 3032
The alternate port the POP service will also listen on.

.topic 3033
The welcome message to use for the POP service.

.topic 3034
Select this to have the POP service only listen to connections on the IP address(es) selected below.

.topic 3020
Click this to add a new remote source from which mail can be retrieved from.

.topic 3021
Click this to edit the details of the POP retrieval item selected in the list above.

.topic 3022
Click this to delete the POP retrieval item selected in the list above.

.topic 3023
The name of the server from which you wish to retrieve mail.

.topic 3024
The port to connect to. The default is 110.

.topic 3025
The username used to authenticate the POP account.

.topic 3026
The password bound to the username above.

.topic 3027
Select this if the remote server requires APOP authentication. APOP is an authentication method for clients who are connecting to the mail server to read their mail. It encrypts the password sent by the email client. If you enable this, make sure your mail clients support APOP and that it is turned on in the options.

.topic 3028
Select this to only download new messages from the server and leave downloaded messages on the server.

.topic 3029
Select this to enable mail to be retrieved from this remote server.

.topic 3030
A list of POP accounts that this mailbox can retrieve mail from.

.topic 4016
The name of the list. This determines the address that people email to in order to post to the list.

.topic 4000
The domain for the list.

.topic 4001
The email address of the moderator. When a list is moderated, all the emails that are posted are sent to the moderator. It is the job of the moderator to decide whether or not the email is to be posted. Only emails coming from the moderators email address will be posted to the list.

.topic 4002
Select to disable the list.

.topic 4003
Determines whether the list is moderated or not. If moderated, you need to enter a moderators email address. A moderated list will only mail out postings that come from the moderator email address.

.topic 4004
Enter a description of the list here.

.topic 4005
This is the email address users would send to in order to post a message to the list.

.topic 4006
Select to add a header to all messages that are posted from the list.

.topic 4007
Enter the text you wish to add to the top of each message here.

.topic 4008
Select to add a footer to all messages that are posted from the list.

.topic 4009
Enter the text you wish to add to the bottom of each message here.

.topic 4010
Select this to enable activity logging.

.topic 4011
The path where the activity log will be saved.

.topic 4012
Click this to select a directory where the activity log will be saved.

.topic 4013
Select this to enable debug logging.

.topic 4014
The path where the debug log will be saved.

.topic 4015
Click this to select a directory where the debug log will be saved.

.topic 4017
Enter the email address of the moderator here if the list is moderated.

.topic 4018
Enables help for the list. If someone posts to the list with the subject of help, then they will receive an email with details of what commands the list server will accept.

.topic 4019
Determines who can subscribe to the list (and whether the list supports subscriptions via email).

.topic 4020
Determines the 'From' address which will be used for all emails coming from the list. This does not determine where the reply goes to.

.topic 5000
Select this to enable activity logging.

.topic 5001
The path where the activity log will be saved.

.topic 5002
Click this to select a directory where the activity log will be saved.

.topic 5003
Select this to enable debug logging.

.topic 5004
The path where the debug log will be saved.

.topic 5005
Click this to select a directory where the debug log will be saved.

.topic 5006
Indicates what happens when mail comes into a mailbox over its quota. Please refer to the MailEnable Configuration Guide for more information.

.topic 5007
Indicates where the notifications are sent to when the mailbox quota is reached. Please refer to the MailEnable Configuration Guide for more information.

.topic 5008
Indicates what happens in regards to Non Delivery Receipts. Please refer to the MailEnable Configuration Guide for more information.

.topic 5009
Indicates how email is redirected, with regard to value of the sender address. Please refer to the MailEnable Configuration Guide for more information.

.topic 6000
The duration of delay before an inbound mail message is delivered.

.topic 6001
When checked will execute an application on every incoming email.

.topic 6002
The path and name of the application to execute on every incoming email.

.topic 6003
Click to select a program for the pickup event.

.topic 6004
Select this to enable activity logging.

.topic 6005
The path where the activity log will be saved.

.topic 6006
Click this to select a directory where the activity log will be saved.

.topic 6007
Select this to enable debug logging.

.topic 6008
The path where the debug log will be saved.

.topic 6009
Click this to select a directory where the debug log will be saved.

.topic 6010
Selecting this will allow the MTA to also listen on this port.

.topic 6011
The maximum number of threads which will be used to move emails around.

.topic 6012
When checked will execute the pickup application once the filter(s) has been applied to the email.

.topic 7000
The gateway to use. Select one from the drop-down list and click 'Enable' to use that gateway.

.topic 7001
Click this to use the gateway selected from the drop-down list. This will stop the SMS connector service and restart it using the gateway selected.

.topic 7002
The maximum number of SMS messages an email can be broken up into.

.topic 7003
This option will set MailEnable to automatically remove the original message body of outbound messages. Any text in the message body after the line " ----- Original Message -----" will be removed. This option is useful for truncating outbound messages that are reply emails to a mobile phone, so that they only contain the new message body in the SMS.

.topic 7004
Select to enable White-List filtering. Only outbound messages that originated from an SMTP address listed in the Allow List will be delivered to their destination.

.topic 7005
Select to enable Black-List filtering. Outbound messages that originated from an SMTP address listed in the Deny List will not be delivered to their destination.

.topic 7006
Determines the format of the log files for the MailEnable SMS service.

.topic 7007
This list holds the word mappings for words that are to be replaced. Words in the original message (both subject and body) will be replaced with the corresponding words from this list. Depending on the destination of the message, for example if it is destined as an SMS, the message is scanned for words that match those listed under the 'Email' column and replaced with the respective SMS word, and visa versa for a message destined as an email).

.topic 7008
This list stores the email addresses of those that are permitted to send emails to mobile phones.

.topic 7009
This list stores the email addresses of those that are NOT permitted to send emails to mobile phones.

.topic 7010
Click this to display the contents of the .MAI file for this message.

.topic 7011
Click to add a word mapping to the word replacement dictionary.

.topic 7012
Click to remove the selected word mapping from the word replacement dictionary.

.topic 7013
Click this to refresh the list of devices connected to COM ports on this machine.

.topic 7014
Click this to modify the purge settings for the message store of the selected device.

.topic 7015
Click this to view the settings for the selected device.

.topic 7016
Determines the memory that the selected device uses.

.topic 8000
The directory where the HTML versions of messages, their attachments, and the corresponding TIFF files are stored.

.topic 8001
The HTM template that is to be used to convert a message into HTML form.

.topic 8002
The VBScript that will be executed when a message is to be sent as a fax.

.topic 8003
The VBScript that is responsible for inspecting the inbox of a fax for new faxes.

.topic 9000
The directory where the HTML versions of messages and their attachments are stored.

.topic 9001
The HTM template that is to be used to convert a message into HTML form.

.topic 9002
The VBScript that will be executed when a message is to be printed.

.topic 10000
Determines the port the HTTPMail service is running on. The default is 8080.

.topic 10001
The duration of time the HTTPMail service will wait for a response from a client before ending the session.

.topic 10002
Selecting this will allow for the creation of a 'public' folder under a particular post office. The contents of this public folder will be accessible by all other users associated with that post office. You must create a directory called 'pubroot' under the MailEnable Postoffices directory (for the particular post office you wish to enable the public folder).

.topic 10005
You are able to select the IP addresses that the HTTPMail service will be bound to. On a multi-homed machine you may only wish to listen to connections on particular IP addresses.

.topic 10003
Select this to have the HTTPMail service listen to connections on all IP addresses configured on the local machine.

.topic 10004
Select this to have the HTTPMail service only listen to connections on the selected IP addresses.

.topic 10006
Determines the format of the log files.

.topic 11000
Selecting this will enable the post office to be administered via the web administration component.

.topic 11001
Selecting this will enable you to create and edit mailboxes via the web administration component.

.topic 11002
The maximum number of mailboxes that can be created for this post office.

.topic 11003
Selecting this will mean that mailboxes can be (grow to) any size.

.topic 11004
The maximum size of any mailbox, in kilobytes.

.topic 11005
Selecting this will enable you to select the mailbox size via the web administration component.

.topic 11006
Selecting this will enable you to create and edit lists via the web administration component.

.topic 11007
The maximum number of lists that can be created for this post office.

.topic 11008
The maximum number of email addresses that can be added to any list.

.topic 11009
Selecting this will enable you to add and remove domains for this post office, via the web administration component.

.topic 12000
Determines whether POP Retrieval is able to be configured in the Webmail options tab.

.topic 12001
Determines whether Webmail users are permitted to redirect their mail to alternate addresses.

.topic 12002
Determines whether HTML mails are shown in the preview window. Setting this option increases the system overhead of MailEnable.

.topic 12003
Determines whether Webmail users are permitted to configure auto responses for their mailbox (for example: 'Out of Office' automatic replies).

.topic 12004
Determines whether MailEnable will render mail messages and hyperlinks in plain text messages as URLs.

.topic 12005
Determines whether users can set their display name.

.topic 12006
Determines whether users can change their password from Webmail.

.topic 12007
Determines whether users can use the global address lists from Webmail.

.topic 12008
Determines whether users can access the public folders from Webmail.

.topic 12009
Determines whether users can configure the use of filters on their mailbox.

.topic 12010
The number of filters that can be created per mailbox.

.topic 12011
The number of messages that will be displayed per page.

.topic 12012
The height of the inbox list, in pixels.

.topic 12013
Determines the base design of Webmail for sites that do not have one configured. The Webmail Base is the viewable design of Webmail that users can use.

.topic 12014
Determines the default character set used by Webmail.

.topic 12015
Determines the default timezone used by Webmail.

.topic 12016
Click to configure Webmail for the web sites configured on this machine.

.topic 12017
Selecting this will enable logging of Webmail.

.topic 12018
Selecting this will automatically append a signature to each email sent.

.topic 12019
Enter here the signature you wish to have appended to each email sent.

.topic 12020
Determines how a message is to be composed in Webmail.


MailEnable Administration

From an administration perspective, MailEnable is comprised of the following components.
- Post offices
- Domains
- Mailboxes
- Lists
- Groups

Structure of post offices, domains and mailboxes

Post offices
A post office is used to host multiple mailboxes and domains under one area. For example, to provide mail hosting for multiple companies, each company would have a post office. A post office can have multiple domains and mailboxes assigned to it. A small mail server might only have one post office. Post offices can have the same name as a domain. It is common for hosting companies to use a domain name as a post office name and to only have one domain within that post office with the same name.

Domains
Multiple domains can be assigned to a post office. At least one domain needs to be configured in order to have a valid email address.

Mailboxes
A mailbox is a repository for email. It is used to store emails for one or more email addresses. When a user connects with a mail client application (Outlook Express, Eudora, etc.), they connect to a mailbox to retrieve their email. When creating a mailbox, MailEnable will automatically create an email address for each domain in the post office, using the format mailboxname@domain. A mailbox can have multiple email addresses. This means a user only requires one mailbox to connect to, from which they can retrieve email from all their email addresses.

Email addresses
Each mailbox can have one or more email address mapped to it. It is only possible to add an email that matches an existing domain for the post office. When a mailbox is created, MailEnable will automatically create email addresses for each of the domains for the post office.

Lists
MailEnable contains a list server that enables people to subscribe and unsubscribe to a list. A list is an online discussion group or information mailout, where emails are sent out to all the members. People are able to post to the list (e.g. list@companyx.com), and the server will duplicate their email and send it out to all the members.

Groups
A group is an email address that maps to one or more other email addresses. For example, a group which has the recipient as staff@companyx.com can have 50 email addresses as members of this group. When someone emails staff@companyx.com, the email is duplicated and sent to all 50 members.


Relay Settings

Reverse DNS Blacklisting

DNS Blacklist checking allows you to prevent known spammers from sending mail through your server. MailEnable standard allows you to define an array of DNS Blacklist service providers and have the IP Address of requesting clients checked against their database. The remote client will be able to connect to your server, but will be prevented from sending mail when they attempt to address the message using the SMTP RCPT command.

You can manage DNS Blacklist providers using the Administration Console. This can be found under MailEnable Management|Servers|localhost|Connectors|SMTP Properties.

You can enable multiple service providers, however this will reduce your servers performance as each provider must be checked when receiving mail from unidentified hosts.

MailEnable provides a list of well known Reverse DNS Blacklist providers. You can also configure your own blacklist provider by pressing the Add... button.

Setting | Explanation
Enable Reverse DNS Blacklist | This enables or disables Reverse DNS Blacklisting for the SMTP Connector.
Blacklist Service | You can use this combo box to list Anti-Spam service providers and their settings.
Enabled | This option allows you to specify whether you wish to configure the server to check a specific Blacklist Provider.
DNS Path | This allows you to define whether you wish to refer your lookup request to the service providers DNS Zone or to simply query a DNS Host for an entry. Most implementations of DNS Blacklists require a Zone lookup.
Zone/Name Server | This is the name of the DNS Zone or the IP Address of the DNS host that should be queried.
Record Type to check for | When the remote host or zone is queried, it may return one or more DNS Record types. Most implementations return an A record, but other implementations may return NS, PTR or MX records.


Troubleshooting and Additional Resources

  • Troubleshooting
  • Additional Resources
More Information on troubleshooting mailenable can be found through the MailEnable Knowledge Base.